--
-- Selected TOC Entries:
--
DROP TABLE "users";
DROP TABLE "urls";
DROP TABLE "url_section";
DROP TABLE "releases";
DROP TABLE "projets";
DROP TABLE "papers";
DROP TABLE "news";
--
-- TOC Entry ID 2 (OID 45521)
--
-- Name: news Type: TABLE Owner: minithins
--

CREATE TABLE "news" (
	"id" integer DEFAULT nextval('"news_id_seq"'::text) NOT NULL,
	"title" character varying(150) DEFAULT '' NOT NULL,
	"body" text NOT NULL,
	"timestamp" timestamp with time zone DEFAULT "timestamp"('now'::text),
	"ordre" integer DEFAULT 0 NOT NULL,
	Constraint "pk_news" Primary Key ("id")
);

--
-- TOC Entry ID 3 (OID 45529)
--
-- Name: papers Type: TABLE Owner: minithins
--

CREATE TABLE "papers" (
	"id" integer DEFAULT nextval('"papers_id_seq"'::text) NOT NULL,
	"paper" character varying(128) DEFAULT '' NOT NULL,
	"url" character varying(128) DEFAULT '',
	"descrip" character varying(256) DEFAULT '',
	"author" character varying(64) DEFAULT '',
	"ordre" integer DEFAULT 0 NOT NULL,
	Constraint "pk_papers" Primary Key ("id")
);

--
-- TOC Entry ID 4 (OID 45534)
--
-- Name: projets Type: TABLE Owner: minithins
--

CREATE TABLE "projets" (
	"id" integer DEFAULT nextval('"projets_id_seq"'::text) NOT NULL,
	"projet" character varying(256) DEFAULT '' NOT NULL,
	"note" character varying(256) DEFAULT '',
	"body" text DEFAULT '',
	"ordre" integer DEFAULT 0 NOT NULL,
	Constraint "pk_projets" Primary Key ("id")
);

--
-- TOC Entry ID 5 (OID 45542)
--
-- Name: releases Type: TABLE Owner: minithins
--

CREATE TABLE "releases" (
	"id" integer DEFAULT nextval('"releases_id_seq"'::text) NOT NULL,
	"release" character varying(32) DEFAULT '' NOT NULL,
	"url" character varying(128) DEFAULT '',
	"descrip" character varying(256) DEFAULT '',
	"author" character varying(64) DEFAULT '',
	"ordre" integer DEFAULT 0 NOT NULL,
	Constraint "pk_releases" Primary Key ("id")
);

--
-- TOC Entry ID 6 (OID 45547)
--
-- Name: url_section Type: TABLE Owner: minithins
--

CREATE TABLE "url_section" (
	"id" integer DEFAULT nextval('"url_section_id_seq"'::text) NOT NULL,
	"nom" character varying(256),
	"ordre" integer DEFAULT 0 NOT NULL,
	"tag" character varying(16),
	Constraint "pk_url_section" Primary Key ("id")
);

--
-- TOC Entry ID 7 (OID 45552)
--
-- Name: urls Type: TABLE Owner: minithins
--

CREATE TABLE "urls" (
	"id" integer DEFAULT nextval('"urls_id_seq"'::text) NOT NULL,
	"url" character varying(512),
	"nom_url" character varying(512),
	"auteur" character varying(128),
	"url_section" integer,
	"lang" integer,
	Constraint "pk_urls" Primary Key ("id")
);

--
-- TOC Entry ID 8 (OID 46022)
--
-- Name: users Type: TABLE Owner: minithins
--

CREATE TABLE "users" (
	"id" integer DEFAULT nextval('"users_id_seq"'::text) NOT NULL,
	"username" character varying(12) DEFAULT '' NOT NULL,
	"pass" character varying(32) DEFAULT '' NOT NULL,
	Constraint "pk_users" Primary Key ("id")
);

--
-- Data for TOC Entry ID 9 (OID 45521)
--
-- Name: news Type: TABLE DATA Owner: minithins
--


INSERT INTO "news" ("id","title","body","timestamp","ordre") VALUES (2,'Marketing public','La vnrable National Science Foundation a annonc la 22 Mai le lancement d''un tout nouveau programme en partenariat avec le gouvernement fdral amricain et les universits Carnegie Mellon, Iowa State, Purdue Universities ainsi que les universit de l''Idaho et de Tulsa et la Naval Postgraduate School de Monterrey. Ce programme est en ralit un contrat pass par les tudiants en informatique et surtout en scurit de ces universits. Ce contrat stipule que le gouvernement par l''intermdiaire de ces universits offriront une bourse aux lves qui accepteront  l''issue de leurs tudes de travailler dans un organisme fdral autant d''annes que celles d''tudes finances par la bourse. Cette initiative doit permettre de fournir  l''administration plusieurs centaines de jeunes tudiants forms  la scurit informatique permettant d''endiguer l''appauvrissement de l''offre salariale dans ce domaine en offrant aux tudiants des perspectives de carrires dans le domaine publique.</font> <p><i><font face="Verdana" size="2">&quot;These scholarships will encourage young people to enter the field of information security and assurance, and give them an opportunity to put their talents to work at the front lines of government cyber security efforts.&quot;</font></i></p> <p><font face="Verdana" size="2">NSF Scholarship for Service Awards Announced at Information Security Colloquium<br> <a href="http://www.nsf.gov/od/lpa/news/press/01/pr0145.htm">http://www.nsf.gov/od/lpa/news/press/01/pr0145.htm</a>','2001-06-11 00:00:00+02',3);
INSERT INTO "news" ("id","title","body","timestamp","ordre") VALUES (3,'Cowboys et Indiens','Un serveur public de l''<a href="http://www.apache.org">Apache Software Foundation</a> ainsi que le serveur ssh de <a href="http://www.sourceforge.net">Sourceforge</a> ont t trs rcemment hackes et les serveurs ssh grant les connexions scurises soigneusement remplacs compromettant l''ensemble de la scurit de Sourceforge et par l''intermdiaire d''un utilisateur commun  Sourceforge et  l''ASF, la compromission d''un serveur public de l''ASF. Sourceforge a immdiatement ragi en supprimant l''ensemble des ssh key et en demandant  ses utilisateurs de recrer un password. L''ASF quant  elle a publi une news trs dtaille sur le sujet en expliquant l''tendue et les liens entre ses affaires. L''ASF est actuellement en train d''effectuer un audit de code sur les rpertoires de ses projets menacs au cas o le hacker aurait galement dissimul des backdoors. Le mme risque plane sur les projets hbergs par Sourceforge mais les audits de code sont dans ce cas responsabilit des administrateurs de projet.</font> <p><font face="Verdana" size="2">Apache Compromise Report<br> <a href="http://www.apache.org/info/20010519-hack.html">http://www.apache.org/info/20010519-hack.html</a></font></p> <p><font face="Verdana" size="2">L''open source se fait hacker comme les autres<br> <a href="http://www.transfert.net/fr/cyber_societe/article.cfm?idx_rub=87&amp;idx_art=5764">http://www.transfert.net/fr/cyber_societe/article.cfm?idx_rub=87&amp;idx_art=5764</a></font></p> <p><font face="Verdana" size="2">Sourceforge.net shell server compromise<br> <a href="http://sourceforge.net/forum/forum.php?forum_id=89285">http://sourceforge.net/forum/forum.php?forum_id=89285</a></font></p> <p><font face="Verdana" size="2">Remote Buffer Overflow dans l''implmentation RSAREF de ssh 1.2.27<br> <a href="http://www.freebsd.org/cgi/query-pr.cgi?pr=14749">http://www.freebsd.org/cgi/query-pr.cgi?pr=14749</a></font></p> <p><font face="Verdana" size="2">ssh-1.2.27 remote buffer overflow - exploitable<br> <a href="http://archives.neohapsis.com/archives/vuln-dev/1999-q4/0179.html">http://archives.neohapsis.com/archives/vuln-dev/1999-q4/0179.html</a>','2001-06-01 00:00:00+02',2);
INSERT INTO "news" ("id","title","body","timestamp","ordre") VALUES (4,'Costume ray et Chapeau blanc','Max Butler alias Equalizer alias Max Vision clbre white hat amricain  l''origine notamment du site whitehats.com et du projet <a href="http://www.whitehats.com/ids/index.html">arachNIDS</a>, un base de donnes de signatures compatibles pour plusieurs IDS (Intrusion Detection System) tels que <a href="http://www.snort.org/">Snort</a> ou Dragon, a t condamn lundi  une peine de 18 mois de prison au terme d''une enqute mene par une cellule anti cybercriminalit du FBI qui le connaissait bien en tant que Equalizer, indicateur du FBI au sein du milieu hackers permettant ainsi l''arrestation d''un groupe de hackers ayant infiltr 3Com dont il faisait parti ou encore la capture du pirate Maxus qui volait des bases de donnes de cartes de crdit afin de ranonner ses victimes ou de publier les numros. Max a t accus d''avoir pntr plusieurs ordinateurs de la NASA, de l''Air Force, du DoE, du DoD et des Transports en 98  l''aide d''un vers <a href="http://adm.freelsd.net/ADM/ADMw0rm-v1.tgz">ADM Inet Worm</a> modifi exploitant une vulnrabilit BIND.</font> <p><font face="Verdana" size="2">SecurityFocus News<br> <a href="http://www.securityfocus.com/news/207">http://www.securityfocus.com/news/207</a><br> <a href="http://www.securityfocus.com/news/203">http://www.securityfocus.com/news/203</a></font></p> <p><font face="Verdana" size="2">Wired News<br> <a href="http://www.wired.com/news/politics/0,1283,44007,00.html">http://www.wired.com/news/politics/0,1283,44007,00.html</a></font></p> <p><font face="Verdana" size="2">Max Vision Status from Dursec<br> <a href="http://www.dursec.com/max_vision_info.html">http://www.dursec.com/max_vision_info.html</a></font></p> <p><font face="Verdana" size="2">On espre que ce petit cart judiciaire de Max Vision ne mettre par en pril l''excellent projet arachNIDS qui en tablissant une compatibilit avec Trithme aurait permit d''obtenir immdiatement une large collection de signatures. Bref nous verrons ce que l''avenir rserve.','2001-05-23 00:00:00+02',1);
INSERT INTO "news" ("id","title","body","timestamp","ordre") VALUES (5,'Perfect Crime','Nous voici enfin de retour aprs quelques semaines d''absence. Cependant, le monde a continu  tourner et nous-mmes n''avons pas chm. Trs bientt va se drouer la premire cnsparty dont vous ne tarderez certainement pas  voir les rsultats ici mme. Ce ft une excellente occasion pour nous de synchroniser nos ides sur plusieurs projets et de les faire avancer, d''en trouver de nouveaux, et de retrouver la motivation et l''impulsion cratrice. Bref, une vraie sincure :)<br> Comme nous le disions, le monde a continu  tourner. Vous avez ainsi pu voir un intressant article de 2 tudiants de l''enseirb sur les <a href="http://www.enseirb.fr/~glaume/bof/">buffer overflows</a> et surtout les protections face  ce type d''attaque (comme <a href="http://www.grsecurity.net/">grsecurity</a>, PaX, LibSafe ...). Il faut aussi noter que l''un des auteurs travaille  un plugin PaX  Prelude afin de faire de la remonte de logs via le serveur syslog prelude-lml.<br> Un <a href="http://xxx.lanl.gov/abs/cond-mat/0202350">autre paper intressant</a> publi rcemment est celui proposant un cryptosystme bas sur les rseaux neuronaux et remplacant avantageusement (en consommant moins de ressources) un systme comme RSA n''change aucun secret pour obtenir une mme cl. Ce systme est bas sur un proprit de synchronisation de 2 rseaux par apprentissage mutuel.<br> Notez aussi la sortie de <a href="http://www.monkey.org/~dugsong/fragroute/">fragroute</a>, crit par dug song, qui implmente sous forme d''un proxy rcrivant les paquets en sortie, les techniques d''vasion d''IDS dcrites dans <a href="http://www.robertgraham.com/mirror/Ptacek-Newsham-Evasion-98.html">Insertion, Evasion, and Denial of Service : Eluding Network Intrusion Detection</a> de Ptacek et Newsham. Il permet de tester aisment des firewalls et IDS contre les dlais, les overlaps ou des options TCP/IP particulires. Une sorte de rplique  la normalisation rseau de Vern Paxson et pf (toujours OpenBSD ;).<br> Notez  propos des BSD, notez la dcouverte d''un nouveau type de bug (enfin, dj cit dans une <a href="http://groups.google.com/groups?q=checklist+security+setuid+-linux+group:alt.security&hl=en&scoring=r&selm=1991May14.101450.830%40convex.com&rnum=1">manpage</a> de 1987...) li aux 3 premiers file descriptor unix standards  savoir stdin, stdout et stderror. L''ide est de fermer l''un des fd standards d''un processus suid. L''attribution des fd tant sequentielle, le prochain ouvert aura le mme numro que le fd standard ferm. Un attaquant peut ainsi contrler les entres et sorties du programme vulnrable. Le problme a t <a href="ftp://ftp.freebsd.org/pub/FreeBSD/CERT/advisories/FreeBSD-SA-02:23.stdio.asc">(re)dcouvert notamment sur FreeBSD</a> mais aussi <a href="http://www.pine.nl/advisories/pine-cert-20020401.html">ici</a> et <a href="http://www.securitybugware.org/mUNIXes/5301.html">l</a>.<br> Et toujours concernant FreeBSD, schez que Jordan K. Hubbard <a href="http://daily.daemonnews.org/view_story.php3?story_id=2837"> quitte la core team</a> (mais pas le dveloppement) par manque de temps (grr MacOS X) et de motivation. Enfin, le projet HoneyNet lance un nouveau challenge sur le mme schma que le <a href="http://project.honeynet.org/challenge/">Forensic Challenge</a>, sauf que cette fois-ci, au lieu de disposer d''une image disque  analyser  la recherche d''indices quant  l''intrusion ; il s''agit dans ce <a href="http://project.honeynet.org/reverse/">Reverse Challenge</a> d''analyser un unique binaire et de le reverser. Terminons sur une note joyeuse, avec le <a href="http://www.kitetoa.com/Pages/Textes/Textes/Ney/">sympathique portrait</a> de notre camarade egoz par kitetoa ;)','2002-05-03 00:00:00+02',11);
INSERT INTO "news" ("id","title","body","timestamp","ordre") VALUES (6,'Temps Modernes','L''audit et l''open source  l''affiche ces derniers temps. Le projet <a href="http://www.sardonix.org">Sardonix</a>, lanc par <a href="http://www.wirex.com">WireX</a> (les crateurs d''Immunix, StackGuard et FormatGuard) avec l''aide de Rain Forrest Puppy  partir de fonds de la DARPA, tentera trs prochainement de transposer la <a href="http://openbsd.org/papers/mexico98-slides.ps">politique</a> de scurit proactive  base d''audit de code permanent d''<a href="http://www.openbsd.org">OpenBSD</a> au reste du monde open source. Ceci en effectuant des audits de code systmatiques et rptitifs sur des trs nombreux logiciels open source largement dploys comme Apache, ProFTPd ou BIND. Par ailleurs, la release 2.0 du Open Source Security Testing Methodology Manual (tout est dans le nom) est prvue pour trs bientt, surveillez <a href="http://www.ideahamster.org/">IdeaHamster</a>  l''origine du projet, ses fondateurs tant las de constater des audits bacls et des mthodologies simplistes. Peut tre ce projet offrira-t-il une sorte de label pour utilisateurs soucieux d''une extrme scurit ou d''un excellente disponibilit. Enfin toujours dans le mme domaine, notez un excellent article de Kuro5hin brisant le mythe de la supriorit de la scurit dans l''open source. En effet, ce mythe, vhicul notamment par les publications d''Eric Raymond, passe sous silence certaines ralits comme le manque de support compliquant l''audit lorsque le code est complexe et qu''il manque de documentation, ou bien le surplus de confiance des dveloppeurs pensant qu''un code open source sera automatiquement audit par une autre bonne me ou encore le fait qu''un contributeur ne s''intresse qu'' sa fonctionnalit et pas ncessairement aux problmes de scurit entran par son code ou son remaniement de design etc. L''article prsente galement une sommaire introduction aux mthodes d''audit  savoir l''analyse formelle d''algorithmes, l''audit de code, <a href="http://www.petergalvin.org/sunworld/1998-swol-04-security.html">l''identification de comportements  risque</a>, les tests intensifs (dmontr rcemment par matt dillon corrigeant des bugs NFS et VM FreeBSD important  l''aide de l''exerciser fsx) et l''analyse du design.</font> <p><font face="Verdana" size="2">Sur un point plus local l''audit de Snort nous amuserait bien... tandis qu''approche  grands pas la release 0.8 de <a href="http://prelude.sf.net">Prelude</a> (non non aucun rapport) avec la nouvelle interface web-based et ses plugins de visualisation, le support complet mysql et bientt postgresql, le sensor LibSafe et surtout Prelude-LML pour l''analyse centralise de log (avec un plugin en cours pour PaX).','2002-02-19 23:00:00+01',10);
INSERT INTO "news" ("id","title","body","timestamp","ordre") VALUES (7,'Keep growing...','Bon on avait honte de faire un signe d''activit sans rien  montrer alors on a attendu.<br> Les nombreux projets autour de dev/kmem approchent de la release (qui sera impressionnante me dit on dans mon oreillette) mme si le ct sensationnel est un peu absorb par la publication de Phrack 58  l''occasion du <a href="http://www.ccc.de/congress/2001/">18C3</a> de Berlin, avec un article intitul <a href="http://www.phrack.org/show.php?p=58&amp;a=7">Linux on-the-fly kernel patching without LKM</a>. En sus de cela, d''autres projets tout aussi apptissants : un imposant projet d''outil de reconnaissance connu sous le nom de Volcano et promettant d''excellentes performances, une relance de Daath avec la dfinition actuelle de l''API et de nombreuses nouvelles techniques de covert channel, un utilitaire trusted de listing depuis le kernel, la suite du dveloppement de <a href="releases.html">CNSirc</a> avec la premire release publique pour BitchX et bien d''autres choses dont on se contentera de rver par modestie pour le moment. D''autre part, la GHB </font><font face="Verdana" size="2">#5 s''est fort bien droule (nous sommes d''ailleurs surpris qu''elle se soit droule tout court) et nous a mme redonn un certain got  la socialisation, n''hsitez pas  passer sur !mechant. Le rsum sera trs prochainement disponible sur le site de la Gamma OH. Nous semblons mme faire des mules puisque se profile les <a href="http://www.subk.org/fr0gz/">fr0gz</a> chez des confrres. Toujours  propos de rencontres n''oubliez pas la <a href="http://www.no-zelig.org">no-zelig</a> - suite  la <a href="http://www.samizdat.net/zelig/">zeligconf</a> de l''an dernier - du 25 au 28 janvier au CICP dans le 11me arrondissement  Paris, la Linux Expo les 30 et 31 janvier ainsi que le 1er fvrier au CNIT de La Dfense et enfin le <a href="http://www.fosdem.org/">FOSDEM</a> les 16 et 17 fvrier  Bruxelles.</font> <p><font face="Verdana" size="2">Sur un autre plan, apprenez que la LSQ n''a pas t censur a posteriori par le Conseil Constitutionnel nous forant  nous appuyer sur la justice (puisque le syndicat de la magistrature  appeler  ne pas appliquer cette loi) qui est elle mme perscute pour oser dfier le Ministre de l''Intrieur quant  la scurit quotidienne et  la prsomption d''innocence. En plus de a je rappelle que la directive europenne <a href="http://www.eurorights.org/eudmca/">EUCD</a> correspondant au <a href="http://anti-dmca.org/">DMCA</a> amricain attend toujours ses lois d''application locales mme si pendant ce temps </font><a href="http://www.freesklyarov.org/"><font face="Verdana" size="2">Dmitry Sklyarov</font></a><font face="Verdana" size="2"> est relch aprs arrangement (mais des dveloppeurs sont enferms partout comme <a href="http://securityfocus.com/news/306">Jon Johanssen</a> poursuivit en Norvge pour avoir dvelopp DeCSS pourtant considr comme <a href="http://www.eff.org/IP/DVDCCA_case/">free speech</a> par une court de justice en Californie il y a peu). C''est peut tre pour a que les rencontres se multiplient, pour conserver l''illusion qu''il restera toujours de doux rveurs...','2002-01-09 23:00:00+01',9);
INSERT INTO "news" ("id","title","body","timestamp","ordre") VALUES (8,'What''s up doc ?','Quelques rapides informations...<br> Nous recherchons des personnes motivs pour la Gamma OH #5 et surtout un lieu pour la tenir. Plus d''informations sur le site <a href="ghb/">GHB</a>. Cette dition (si elle a lieu) devrait voir la release public de CNSirc pour BitchX.<br> Par ailleurs, les papers Securing FreeBSD step by step et Extensions Trithme  Prelude sont releas officiellement avec pour le premier un script  base de <a href="http://www.iu.hio.no/cfengine/">cfengine</a>/PERL est en cours d''criture pour crer un modeste clone de <a href="http://www.bastille-linux.org">Bastille-Linux</a> pour FreeBSD (et dieu sait qu''il y''a plus de possibilits dans l''OS de Beastie ah ah ah). Puis toujours dans les releases,  venir un gros travail sur /dev/kmem et un rootkit qui promet.<br> Sinon n''oubliez pas samedi 24 novembre 2001, la <a href="http://www.antipub.net/cccp">Journe sans Achat</a>. Et puis si vous tes une clbrit de l''informatique, vous pouvez toujours soutenir <a href="http://www.indefenseoffreedom.org/computerscientists.html">ceci</a>.','2001-11-09 23:00:00+01',8);
INSERT INTO "news" ("id","title","body","timestamp","ordre") VALUES (9,'Si vis pacem para netum','En ce moment on s''amuse normment avec CNSirc pour communiquer en priv sur #!mechant @ link-net et ce  l''abri des des inopportuns  base de RSA et de Twofish ! Et justement tant qu''on est dans la crypto, en ce moment la bataille fait rage entre la LSI et la LSQ qui font pass toutes sortes d''amendements peu ou pas constitutionnels auprs de nos chers dputs. numration du liberticide ?<br> - criminalisation de la recherche en scurit<br> - criminalisation de la cryptographie et key-escrow pour les prestations de cryptologie (non pour les produits or je doute qu''Oussama ben Laden hsite entre payer Verisign ou utiliser <a href="http://www.gnupg.org">GPG</a> et <a href="http://www.openssh.org">SSH</a> ...)<br> - fouilles et contrle d''identit autoris pour les personnels de scurit accrdits qui peuvent par ailleurs recourir au Systme de Traitement des Infractions Constates (STIC) - fichier central de la police enregistrant aussi bien accus que victime ou mme tmoin et illgalement maintenu depuis 1995 malgr plusieurs avis dfavorables de la CNIL et autres - pour faire des vrifications d''honorabilit.<br> - conservation des donnes de communications pendant 1 an, la dfinition des ces donnes est laisse  un dcret (donc potentiellement l''accounting ou le sniffing obligatoire vous guette)<br> - interdiction des free parties avec le retour des amendements Marianni<br> - perquisition et tl-perquisition sans assentissement<br> - fin de la prsomption d''innocence. Parlant de terrorisme, c''est  vous de prouver votre innocence et non plus au procureur de prouver votre culpabilit. Par ailleurs, les donnes peuvent ventuellement tre dcryptes par des moyens de l''tat protgs par le secret dfense, et les informations obtenues verses aux dossiers sont sans recours possible.<br> Alors ragissons ! Pour rejoindre la cause une seule adresse : <a href="http://www.lsijolie.net">LSIjolie</a>. voir aussi <a href="http://www.lsijolie.net/article.php3?id_article=76">l</a>, <a href="http://www.lsijolie.net/lsq/">l</a> et aussi <a href="http://www.lsijolie.net/article.php3?id_article=68">ici</a>.<br> <br> Et sinon sur le front *BSD, Wind River vient de virer plusieurs dveloppeurs FreeBSD mais heureusement <a href="http://www.daemonnews.org">DaemonNews</a> va tenter de les (faire) rembaucher. Vous pouvez galement lire une trs intressante <a href="http://www.osnews.com/story.php?news_id=153">interview</a> de 3 leaders de chacun des 3 projets *BSD sur OSNews.','2001-10-19 00:00:00+02',7);
INSERT INTO "news" ("id","title","body","timestamp","ordre") VALUES (10,'Girls on Wild','Nous voici plus ou moins de retour aprs d''approximatives vacances. Nous revenons plus nombreux que la dernire fois. Combien et qui ? Bien videmment vous pouvez vous tter pour le savoir, nous suivons nos principes d''anonymat. A noter que notre nombre va nous permettre un peu plus d''activit.</font> <p><font size="2" face="Verdana">- <a href="http://prelude.sf.net">Prelude</a> 0.4.2. est sorti le 27 aot. Prelude est dsormais pleinement fonctionnel en tant que NIDS et en toute honntet, sa qualit de coding et ses optimisations en plus de sa modularit et de ses futures orientations distribues le rendent dsormais trs attractifs face  <a href="http://www.snort.org">Snort</a>. Le paper des extensions Trithme s''avrent assez important et les rcentes dcisions prises sur l''architecture du systme Prelude l''ont rendu assez complexe. Cependant une version complte au niveau des spcifications mais  la rdaction douteuse sera prochaine disponible. Prelude quant  lui supporte actuellement parfaitement le ruleset snort avec decoding RPC, Telnet et HTTP pour le moment, le support des regexp par PCRE et bien d''autres choses qu''on vous laisse dcouvrir.<br> - Le paper concernant la scurisation de FreeBSD-stable est en passe d''tre boucl lui aussi. A sa suite peut-tre si le courage suit, un clone de Bastille-Linux pour ce fantastique OS. A propos de FreeBSD, la release 5.0 a t repouss. Du moins c''est ce que clame tous les webzines sur l''informatique libre et assimils. En ralit lorsqu''on regarde le schedule propos par Jordan Hubbard  <a href="http://www.bsdtoday.com/2001/June/News508.html">BSDToday</a> en Juin, ceci ne retarde que l''entre en lice d''une release stable de la branche 5.0 qui ne devait avoir lieu qu'' partir de la 5.2. Les dates correspondent  peu prs, on aura donc une release stable mais ds la 5.0 qu''il nous faudra attendre un peu plus longtemps. A noter pour les features, un nouveau SMPng avec l''intgration de la notion de KSE pour le multithreading, la rcriture de la couche pccard, la couche d''abstraction SCSI Geom, le portage sur IA64, SPARC64 et PowerPC ; et surtout les extensions de scurit du projet CBOSS avec les extensions POSIX1.e et la rimplmentation de jail. De quoi saliver. Voir aussi le <a href="http://www.bsdtoday.com/2001/September/News553.html">mail de Jordan Hubbard</a> concernant l''aide  apporter au projet afin de rattraper le temps perdu.<br> - The HoneyNet Project, le projet instigu par Lance Spitzner et consistant  un rseau de Honeypots destins  tudier le comportement, les motivations et les mthodes des membres de la communaut blackhat, sortira trs prochainement un livre aux ditions Addison-Wesley rsumant le projet et ses rsultats. Intressant pour ceux qui apprcie le ct didactique des Know Your Ennemy, ou ceux qui voudraient s''initier au forensic... <i><a href="http://project.honeynet.org/book/">Know Your Enemy :Revealing the security tools, tactics and motives of the blackhat community</a></i>. En passant, <a href="http://www.porcupine.org/forensics/tct.html">The Coroner Toolkit 1.08</a> vient tout juste de sortir.<br> - De nombreux autres projets sont en cours d''laboration tels que des shellcodes IA64, un nouveau rootkit, un port scanner et toujours Tench et Daath. Notez aussi que <a href="http://www.madchat.org">mAdchAt</a> est pass dans le Tranfert n17 et le mois prochain se sera le tour de <a href="http://www.speka.net">SpeKa</a>.','2001-09-16 00:00:00+02',6);
INSERT INTO "news" ("id","title","body","timestamp","ordre") VALUES (11,'stuff that matters',' Plusieurs petites choses aujourd''hui :<br> - Nous avons eu une forte agitation  la suite de plusieurs news sur transfert et linuxfr, concernant le mouvement non disclosure et le site anti.security.is,  cette occasion l''quipe du projet Junto a pu faire valoir ses ides, et sa prsence comme point de ralliement d''un mouvement actuellement tabli mais peu soutenu ou dfini : le Full Disclosure. Voir <a href="junto/">The Junto Project</a>.</font> <p><font face="Verdana" size="2">- une nouvelle mailing list pour l''annonce et le dveloppement de vulnrabilits et de failles de scurit est apparue avec comme mots d''ordre l''indpendance et la qualit. Notons au passage que plusieurs modrateurs participent afin d''assurer  l''avenir une modration a priori en quasi continu. On retrouve actuellement donc en modrateurs et fondateurs de cette list l''omniprsent Rain Forest Puppy mais aussi Weld Pond de l0pht et instigateur, le maintainer de la list Win2KSecAdvice : Steve Manzuik. A noter  cette occasion que la mailing list accepte tout sauf des alertes concernant les produits microsoft. Le nom de ce bijou soutenant par ailleurs le full disclosure - ce qui n''enlve rien au plaisir - : <a href="http://www.vulnwatch.org/">VulnWatch</a>. A s''inscrire d''urgence.</font></p> <p><font face="Verdana" size="2">- A noter un tout nouveau projet annonc par <a href="http://www.bsdtoday.com">BSDToday</a> concernant la scurit et FreeBSD. Ce projet nomm <a href="http://opensource.nailabs.com/initiatives/cboss/">CBOSS</a> pour Community-Based Open Source Security, regroupe une quipe de dveloppeurs et d''experts en scurit avec pour objectif l''amlioration de la scurit des applications Open Source avec un focus sur FreeBSD afin de lui faire passer les certifications de Trusted System de l''administration amricaine, le tout d''ici 18 mois c''est--dire Dcembre 2002. On retrouve parmi les participants de nombreux BSD guru - mais aussi un dveloppeurs de l''implmentation de Mandatory Access Control sous forme de LKM Linux, <a href="http://opensource.nailabs.com/lomac/index.html">LOMAC</a> - tels que Robert Watson, Kirk McKusick ou Poul-Henning Kamp tous clbres dveloppeurs de la Core Team FreeBSD et galement participant au projet d''implmentation des extensions POSIX.1e dans FreeBSD : <a href="http://www.trustedbsd.org">TrustedBSD</a> qui fournit dj des packages utilisables et intressants apportant la gestion des Extended Attributes, des Access Control List, des Mandatory Access Control ainsi que des capacits d''audit lies  la dfinition de niveaux de scurit facilitant le logging et l''audit de la part d''un sysadmin. TrustedBSD  la vue des participants  CBOSS devrait tre intgr au projet. Mais on notera aussi dans les objectifs des initiatives intressantes comme la cration de man pages orientes scurit mais aussi du hardening de stack TCP/IP, la gestion de files extended attributes<br> (indice faisant penser  l''intgration de TrustedBSD qui ferait ici doublet), les PAM pour l''authentification, ainsi des capacits fine-grained de dfinition de security policy au niveau du kernel ou de gestion trs fine des privilges afin de limiter encore la compromission d''application critique telles que des serveurs. Bref, une vritable dream team de dveloppements sur une initiative vraiment impressionnante de scurisation du mme niveau que <a href="http://www.nsa.gov/selinux/">SELinux</a> (qui passe les tests trusted system de l''administration amricaine) et ce avec une chance  seulement 18 mois !</font></p> <p><font face="Verdana" size="2">- Pour finir quelques rapides informations sur les projets CNS. La Gamma OH #3 s''est droule le 14 juillet et il semble que nous ayons trouv notre vitesse de croisire tant les feedback ont t enthousiastes sur cette 3me dition. Vous pourrez trouver le compte rendu sous peu sur le site de la <a href="ghb/">Gamma OH</a>. Le draft dfinissant les extensions Trithme pour Prelude sera termin sous peu tout comme le paper sur la configuration secure d''une box FreeBSD (ne couvrant ni CBOSS ni TrustedBSD pour le moment :). Une fois ces papers released, CNS s''attellera plus srieusement au dveloppement de Daath, la librairie pour l''utilisation de covert channels.<br> A noter que nous sommes ouvert  toutes participations externes pour releaser votre travail sous l''egide de CNS ou participer aux projets CNS. Voyez la page d''<a href="about.html">About</a>.','2001-07-16 00:00:00+02',5);
INSERT INTO "news" ("id","title","body","timestamp","ordre") VALUES (12,'Beuveries officielles','C''est aujourd''hui que dbute et  Bordeaux sur le campus de l''<a href="http://www.enseirb.fr/">ENSEIRB</a> sous l''impulsion de l''<a href="http://www.abul.org">ABUL</a> et ce jusqu'' dimanche 8 juillet, le Libre Software Meeting ! Un grand rendez-vous  la fois festif avec coding parties et repas collectifs mais aussi trs srieux et intressant avec des trs nombreuses confrences pendant les 5 jours de ces rencontres. Dans le thme de la scurit informatique qui nous intressant, on notera la prsence de Renaud Deraison qui nous parlera de <a href="http://www.nessus.org">Nessus</a>, de RFP qui abordera <a href="http://www.wiretrip.net/rfp/p/doc.asp?id=21&amp;iface=2">Whisker et libwhisker</a> pour la scurit des sites web, de Jay Beale et Yoann Vandoorselaere qui viendront respectivement prsenter <a href="http://www.bastille-linux.org">Bastille Linux</a> et <a href="http://prelude.sourceforge.net">Prelude</a> ou encore Werner Koch qui exposera <a href="http://www.gnupg.org/">GPG</a> et son API haut niveau <a href="http://www.gnupg.org/gpgme.html">GPGME</a>. On remarquera aussi la participation active de la Free Software Foundation puisque plusieurs membres de la <a href="http://www.fsfeurope.org">FSF Europe</a> et du <a href="http://france.fsfeurope.org">Chapitre France</a> seront prsentes ainsi que les vice prsident et conseiller gnral de la FSF, Bradley Kuhn et Eben Moglen.</font> <p><font face="Verdana" size="2">CNS sera galement prsent pour les projets Trithme et Daath mme si pour le moment nous ne donnons pas de confrences (c''est n''est pas par manque d''intrt mais par un simple problme de niveau d''anglais :). Peut tre une autre fois. Nous serons plus largement prsent sur l''ensemble des confrences lies  la scurit informatique,  la programmation haut niveau et  la loi, politique et logiciel libre.</font></p> <p><font face="Verdana" size="2">Note on <font color="#0000FF">08/07/2001</font> &gt; ce fut sincrement trs trs bien - notamment les blagues de jay beale et l''aisance de rfp -  l''exception de l''hbergement et du fait que les confrences des diffrents topics se droulaient simultanment empchant d''assister  certaines prsentations pourtant trs allchantes (notamment sur <a href="http://www.hurd.org">HURD</a>, sur Lisp ou sur la fin du copyright). Un tarball des slides scurit puis un CD de l''ensemble des slides des confrences devrait trs prochainement tre mis  disposition du public. Notez surtout que <a href="http://sourceforge.net/forum/forum.php?forum_id=96858">Trithme a fusionn avec l''IDS Prelude</a> et que nous allons trs rapidement entam notre coopration sous forme technique (les modifications d''architecture sont d''or et dj dcides). Pour finir, private joke : Bastille Linux sux, sex with rfp is good.</font></p> <p><font face="Verdana" size="2">Libre Software Meeting<br> <a href="http://lsm.abul.org">http://lsm.abul.org</a>','2001-07-04 00:00:00+02',4);
INSERT INTO "news" ("id","title","body","timestamp","ordre") VALUES (13,'Occam''s Razor','CNS semble s''tre quelque peu endormi dernirement, notamment  cause des examens\015\012et des vacances, mais le rveil est proche. Vous devriez donc voir apparatre ici\015\012mme aprs quelques restructurations internes moults productions comptant exploit,\015\012bibliothque de cryptographie asymmtrique, ainsi qu''un article sur les DDoS, un\015\012peut tre un plus court sur le Vantage point et l''vasion d''IDS. Tout cela en sus\015\012des productions dj annonces. Nous serons galement en partie prsent au LSM''02\015\012prcdemment cit. Sur un plan externe, plusieurs informations...<br>\015\012Peut tre effac au profit des failles OpenSSH et Apache (pour cette dernire Gobbles\015\012a <a href="http://online.securityfocus.com/news/493">rendu public</a> un exploit contre\015\012OpenBSD), un remote buffer overflow a pourtant t dcouvert par\015\012<a href="http://www.pine.nl/advisories/pine-cert-20020601.html">PINE</a> dans la libc_r\015\012des 3 principaux BSD (<a href="http://docs.freebsd.org/cgi/getmsg.cgi?fetch=927832+0+current/freebsd-security">FreeBSD</a>, <a href="http://www.openbsd.org/errata.html#resolver">OpenBSD</a>\015\012et NetBSD) ainsi que Solaris. Il est li au code resolver charg d''effectuer l''ensemble\015\012des oprations de rsolutions d''adresses IP et de noms de domaine. Certaines fonctions\015\012du resolver ne tiennent pas compte du padding possible des messages DNS lors de l''allocation\015\012de mmoire tampon, entranant un risque d''exploitation via des rponses forges\015\012aux requtes DNS. D''aprs le <a href="http://www.kb.cert.org/vuls/id/803539">CERT</a>,\015\012le problme existe aussi dans libbind implmentant le mme type de fonctions,\015\012mais peut tre limit dans BIND 9 grce au local caching reconstruisant les\015\012rponses DNS. Cette API est utilise par BIND mais aussi par Sendmail. Le\015\012problme est corrig dans les arbres CVS des 3 systmes BSD, et des patchs\015\012sont disponibles.<br>\015\012Dans le domaine juridique et de la vie prive, nous avons rcemment <a href="http://www.lalettredesavocats.com/article.list/informatique-et-libertes-:-projet-de-loi-modifiant-la-loi-20.htm">dcouvert</a>\015\012un <a href="http://www.justice.gouv.fr/actua/loicnil.htm">projet de loi</a> relatif   la protection des personnes physiques  l''gard des\015\012traitements de donnes  caractre personnel  et modifie la <a href="http://www.cnil.fr/">loi de 1978</a> dite\015\012informatique et libert, le tout en application d''une <a href="http://europa.eu.int/smartapi/cgi/sga_doc?smartapi!celexapi!prod!CELEXnumdoc&lg=fr&numdoc=31995L0046&model=guicheti">directive europenne</a> de 1995\015\012relative quant  elle   la protection des personnes physiques  l''gard du\015\012traitement des donnes  caractre personnel et  la libre circulation de ces\015\012donnes . L''intrt de cette nouvelle loi en sus de raffirmer l''attachement du\015\012lgislateur    la protection des donnes  caractre personnel (concept similaire\015\012aux donnes   nominatives mais largi), il introduit quelques mesures intressantes :<br>\015\012- contrle sur les base de donnes a posteriori de la CNIL<br>\015\012- obligation de notification des personnes dont les donnes sont collectes.<br>\015\012  Ce point mne  la notification obligatoire des cookies, et vaut mme pour la\015\012  collecte indirecte (vente ou change de base de donnes entre entreprises)<br>\015\012- le droit d''opposition  la collecte est dsormais discrtionnaire (plus besoin\015\012  de se justifier)<br>\015\012- extension du droit d''information indirect (cd via la CNIL) pour les fichiers\015\012  touchant  la scurit et  la dfense<br>\015\012Le texte a t adopt par <a href="http://www.assemblee-nat.fr/dossiers/cnil.asp">l''Assemble Nationale</a> en janvier 2001 mais attend toujours sa 1re lecture au Snat.<br>\015\012Un petit clin d''oeil pour finir, avec la <a href="http://www.sun.com/smi/Press/sunflash/2002-04/sunflash.20020417.2.html">nomination</a> chez Sun Microsystems de\015\012<a href="http://research.sun.com/people/diffie/">Whitfield Diffie</a> - clbre inventeur public (par opposition avec l''histoire de\015\012Ellis au GCHQ) de la cryptographie asymmtrique, et du cryptosystme\015\012Diffie-Hellman-Merkle - Chief Security Officier (par analogie avec Chief Technical\015\012Officier...), simultanment  la cration du Global Security Program Office. Son\015\012travail consistera  faire valoir le point de vue scurit lors du dveloppement\015\012de produit et  anticiper les besoins dans ce domaine.','2002-07-01 15:31:44+02',13);
INSERT INTO "news" ("id","title","body","timestamp","ordre") VALUES (1,'All the news that fits','Aaaaah le printemps, a bourgeonne, tous pleins de projets et donc de news. Avec pourquoi pas, qui sait, un worm, un lister kernel, un quivalent  authpf pour ipf, un paper sur le reversing ou sur le coding avec <a href="http://www.research.att.com/projects/cyclone/">Cyclone</a>... Enfin pendant qu''on discute les autres travaillent, la preuve. <a href="http://lcamtuf.coredump.cx/fenris/devel.shtml">Fenris</a> - le loup enfant par le dieu Loki - est un puissant tracer dvelopp par Michal Zalewksi pour la security team <a href="http://razor.bindview.com/tools/fenris/">Razor</a>. Pour le paraphraser, Fenris remplit le vide laiss entre les outils d''analyse de code source comme <a href="http://www.cigital.com/its4/">its4</a> et les debuggers comme gdb enautomatisant des analyses bas niveau. Fenris est ainsi capable de tracer,  la manire de strace, ltrace et xtrace mais interactivement et en temps rel, via une carte interne de la mmoire les fonctions internes d''un programme, de leurs assigner un nom unique ou de les identifier comme originales, syscall ou libcall grce  des signatures MD5 ou la table des symboles, d''numrer et de reconnatre leurs paramtres et de dterminer l''organisation des blocs de code. Mais il permet aussi de suivre la moindre manipulation effectue sur les buffers et file descriptor attach  ce programme, avec mme une dtection automatique des buffers textes. En sus, il dispose de plusieurs compagnons comme Aegir implmentant au-dessus de Fenris et de manire modulaire des breakpoints et des watchpoints  ajouter  la capacit limite de Fenris de modifier des portions de code (pour simuler certaines condititions ou outrepasser un code de debugging). La sortie standard est structure afin d''tre human-readable mais il existe un parser HTML nomm Ragnarok. Enfin vous disposez de dress pour reconstruire une table des symboles, et de [get]fprints pour scanner n''importe quel fichier ELF et en sortir une base de donnes de signature pour chaque fonction unique. Mme si le projet est encore jeune et possde de nombreuses limitations (utilisation optimale avec tel linux, tel libc, tel compilateur, en x86), il a dj <a href="http://lcamtuf.coredump.cx/fenris/reverse.txt">dmontr</a> sa grande utilit pour le debugging, le reversing et le forensic. A propos de reversing, voici, trouv par hasard au dtour d''une nuit de lassitude  browser les catgories de freshmeat : <a href="http://hte.sourceforge.net/">HT Editor</a>. Un visualiseur, diteur, analyseur de binaires capable d''afficher et modifier des labels, de marquer les cross-reference et les procdures d''entre, d''effectuer des multiples recherches (hexa ou ascii, valuation d''expression, regexp) et mme de servir de dsassembleur x86 (c''est la seule fonctionnalit architecture-dependent). Il supporte d''or et dj parfaitement les binaires de type PE (Portable Executables, Windows) et ELF (Executable and Linkable Format, Unix) et d''autres comme COFF sont  venir grce  son caractre hautement modulaire. A cela il faut ajouter une interface simple base sur curses. Pour viter la migraine  certains de nos collaborateurs (;), finissons avec cette <a href="http://www.kuro5hin.org/story/2002/5/10/19716/1759">histoire</a> du <a href="http://www.newscientist.com/news/news.jsp?id=ns99992252">New Scientist</a> rapportant l''infection dans la nature d''un worm (Klez.h) par un virus (CIH) offrant  vos yeux bahis une vritable volution darwinienne puisqu''il est dit "Klez is very infectious and CIH is very damaging. What you have in the end is a nasty piece of code.". Enfin, detendez vous avec notre nouvelle drogue lgale : <a href="http://www.linuxlabs.com/autozen.html">AutoZen</a> qui en jouant sur les sons reus par les oreilles dans un casque (plus optionnellement quelques jolies couleurs faon XMMS) permet  votre ordinateur de vous faire entrer dans un tat de conscience modifi !<br>\015\012N''oubliez pas enfin l''dition 2002 du Libre Software Meeting  Bordeaux du 9 au 13 juillet avec tout un <a href="http://lsm.abul.org/program/topic02/">volet sur la scurit</a> et notamment la prsence de\015\012<a href="www.citi.umich.edu/u/provos/">Niels Provos</a>, <a href="http://www.grsecurity.net">Bradley Spengler</a>,\015\012<a href="http://netfilter.gnumonk.org">Harald Welte</a>, <a href="http://www.nessus.org">Renaud Deraison</a> mais aussi Frederic Raynal, <a href="http://www.prelude-ids.org">une large partie de la Prelude Core Team</a> et\015\012<a href="http://www.groar.org">Denis Ducamp</a> et bien sr la TD3 TeamZ!','2002-05-21 00:00:00+02',12);
--
-- Data for TOC Entry ID 10 (OID 45529)
--
-- Name: papers Type: TABLE DATA Owner: minithins
--


INSERT INTO "papers" ("id","paper","url","descrip","author","ordre") VALUES (1,'Linux et la scurit','papers/seculinux.html','Une introduction aux rootkits et lkm dans dans une optique de renforcement de la scurit Linux.','',9);
INSERT INTO "papers" ("id","paper","url","descrip","author","ordre") VALUES (2,'Comment construire de toutes pices un bridge/firewall sous openbsd','papers/openbsd.sgml','Ce manuel dcrit l''utilisation d''OpenBSD et de son installation ainsi que la configuration d''IPFilter dans l''optique de concevoir un pont filtrant.','',8);
INSERT INTO "papers" ("id","paper","url","descrip","author","ordre") VALUES (3,'Introduction au Sniffing','papers/sniff.txt','Introduction au sniffing et surtout  sa programmation via les Raw Sockets et Libpcap.','',7);
INSERT INTO "papers" ("id","paper","url","descrip","author","ordre") VALUES (4,'Programmation Socket Inet','papers/sockets.sgml','Introduction  la programmation client/serveur par l''API socket.','',6);
INSERT INTO "papers" ("id","paper","url","descrip","author","ordre") VALUES (5,'Setting up OpenSSH','papers/ssh.sgml','Installation, Configuration et utilisation d''OpenSSH','',5);
INSERT INTO "papers" ("id","paper","url","descrip","author","ordre") VALUES (6,'Manuel de rfrence pour la libpcap','papers/pcap.manual','Un manuel complet pour dcouvrir libpcap, son utilit et celle de ses fonctions, et enfin comment l''utiliser au mieux.','',4);
INSERT INTO "papers" ("id","paper","url","descrip","author","ordre") VALUES (7,'Securing FreeBSD step by step (for Dummies and even Geeks)','papers/FreeBSD.txt','Dcouvrir et exploiter les diffrents mcanismes et outils permettant d''amliorer la scurit d''une machine FreeBSD.','',3);
INSERT INTO "papers" ("id","paper","url","descrip","author","ordre") VALUES (8,'Extensions Trithme pour Prelude','papers/Prelude.txt','Prsentation et Description de Prelude, de son architecture et de ses orientations futures.','',2);
INSERT INTO "papers" ("id","paper","url","descrip","author","ordre") VALUES (9,'Fiche sur GnuPG','papers/doc_gnupg','Introduction pas  pas  l''outil de chiffrement GnuPG et  son utilisation.','',1);
--
-- Data for TOC Entry ID 11 (OID 45534)
--
-- Name: projets Type: TABLE DATA Owner: minithins
--


INSERT INTO "projets" ("id","projet","note","body","ordre") VALUES (1,'Prelude 0.8','Hybrid and Modular Intrusion Detection and Response Expert System','Prelude and Trithme, two intrusion detection projects have decided to mergegduring the Libre Software Meeting 2001 in order to optimize development and software efficiency. The project will keep the original Prelude name. Trithme team will bring its knowledge in the field of distributed architecture, non-linear and long term correlation and host-based functions : Notably, for the first time, the centralised logging based on distributed sensors, countermeasures and automated responses process. They will also contribute to the developpment of an administrative console to centralize the administration and reporting functions -- all of this will take advantage of the strongly modular architecture of Prelude to extend it in a distributed fashion to hybrid capability. The two developement teams will join soon, keeping a cooperative and free developement model. All theses improvments will so be done in a transparent fashion for the users and will be integrated during the future Prelude releases.</font> <p><font size="2" face="Verdana">Prelude is a modular intrusion detection system written from the scratch in C over the past 4 years. He is equiped of very efficiently detection and signature engine who''s able to read the Snort ruleset and any else with the appropriate parser. Prelude is distributed under the GPL license and is availlable at <a hre f="http://prelude.sf.net/">http://prelude.sf.net/</a>',5);
INSERT INTO "projets" ("id","projet","note","body","ordre") VALUES (2,'Junto','Disclosure Ressources Center','Now Ready for Contribution &gt; <a href="http://minithins.net/junto">http://minithins.net/junto/</a>',4);
INSERT INTO "projets" ("id","projet","note","body","ordre") VALUES (3,'CNSirc3','Cryptographic extensions for IRC Clients','CNSirc3 est la dernire version des patchs d''extensions cryptographiques de CNS. Cette version utilisant dsormais des PRIVMSG et un code beaucoup plus modulaire, se voit porte sur les clients IRC BitchX, XChat et epic. Il utilise par ailleurs un nouveau jeu de commande et ajoute de nouvelles fonctions destines  tre utilises par un keyserver (sous forme de bot irc) possdant la base de cls et de trusted users. En plus du chiffrement des communications sur un channel, on peut dsormais chiffrer galement ses conversations prives. Le tout s''appuit en grande partie sur le code d''openssl offrant ainsi le cryptage asymmtrique RSA, DSA et ElGamal. Le chiffrement symmtrique est propos sous forme de module fournissant la totalit des candidats au concours AES comme twofish, rijndael, RC6, safer, serpent ou encore MARS. Le chiffrement se voit enfin encore amlior en utilisant des messages au format UUencode Base64, en compressant les cleartext avec zlib, puis en chiffrant avec un facteur paranoa permettant de crypter en plusieurs rounds et enfin en limitant les possibilits de cryptanalyse diffrentielle en utilisant une variable alatoire servant  xorer la cl de cryptage et ainsi viter d''obtenir 2 fois le mme message en cas de rptition.',3);
INSERT INTO "projets" ("id","projet","note","body","ordre") VALUES (4,'Volcano','Recognition and Information Gathering','Cet outil est un scanner cens se baser ou permettre le dveloppement de la bibliothque Tench. Comme pour Tench, la gnration de paquets se base sur des description en XML des diffrents tests  appliquer, puis pars afin de gnrer stimuli. Cet algorithme va de pair avec un algorithme d''analyse prenant lui aussi ses informations du descriptif. Cet architecture permet d''obtenir un compromis entre performances et modularit permettant d''tendre facilement le set de tests.<br> De plus la simplicit du programme dans sa conception permet d''appliquer un systme de pondration au sein de l''arbre de dcision des tests afin de dterminer l''acuit d''une rponse, d''effectuer des vrifications croises (passif/actif) et d''offrir des politiques de scanning telles que la discrtion, la rapidit ou l''exhaustivit. A ces fonctionnalits s''ajoutent le trs grand nombre de tests effectus par CNScan.<br> L''avenir est reprsent par un systme d''information gathering complet fonctionnant  partir de rseaux de Hopfield avec un systme de point attribu  chaque donnes  la fin de tous les tests permettant de dfinir un niveau d''erreur.',2);
INSERT INTO "projets" ("id","projet","note","body","ordre") VALUES (5,'Daath','Library for Covert Channel Programming','Daath est une librairie dveloppe par CNS implmentant diverses mthodes de covert channel afin de faciliter le dveloppement d''application client/serveur ncessitant de la discrtion ou le passage d''un filtrage important. Des exemples de ces applications peuvent tre aussi bien des backdoors, des applications peer to peer ou des terminaux clients tous fortement surveills.</font> <p><font face="Verdana" size="2">- interfaage avec pcap<br> - utilisation du champ IP ID comme champ de contrle<br> - utilisation de plusieurs covert channel simultanment pour augmenter le bande passante<br> - politique de transmission<br> - mcanismes anti-dtection statistique<br> - passage des firewalls<br> - nombreux Covert Channel</font></p> <p><font face="Verdana" size="2">Ce projet sera accompagn d''un paper/manuel dcrivant les mthodes utilises et leur application ou dtection.',1);
--
-- Data for TOC Entry ID 12 (OID 45542)
--
-- Name: releases Type: TABLE DATA Owner: minithins
--


INSERT INTO "releases" ("id","release","url","descrip","author","ordre") VALUES (1,'CNSirc 1.2.3','releases/CNSirc-1.4beta2-for-1.0c19.patch','Cryptographic extensions for BitchX 1.0c19','',7);
INSERT INTO "releases" ("id","release","url","descrip","author","ordre") VALUES (2,'ilkm 0.0.2','releases/ilkm-0.0.2.tar.gz','Loadable Kernel Module using ICMP covert channel and allowing hidden execution of Linux 2.2.* command. Mixed since Adore and Knark','',6);
INSERT INTO "releases" ("id","release","url","descrip","author","ordre") VALUES (3,'CNSniffer 2','releases/CNSsniff2.tar.gz','real &amp; functionnal libpcap sniffer','',5);
INSERT INTO "releases" ("id","release","url","descrip","author","ordre") VALUES (4,'CNSkiller','releases/CNSkiller.c','lame TCP connection killer using libpcap and libnet','',4);
INSERT INTO "releases" ("id","release","url","descrip","author","ordre") VALUES (5,'KmemTools 0.4','releases/kmemtools-v0.4.tgz','/dev/kmem-based hacking suite for Linux 2.4.x (see Readme)','',3);
INSERT INTO "releases" ("id","release","url","descrip","author","ordre") VALUES (6,'ImpK 0.2b','releases/ImpK-0.2b.zip','(Improved Kernel) rootkit for Windows 2000','',2);
INSERT INTO "releases" ("id","release","url","descrip","author","ordre") VALUES (7,'Patch Linux 2.4.18-cns1','releases/linux-2.4.18-cns1.patch','unified patch including freeswan-1.95, patch-int, secfix, grsecurity-1.9.4, preempt-kernel, netdev-random-core, lock-break-rml, cpu-affinity-rml','',1);
--
-- Data for TOC Entry ID 13 (OID 45547)
--
-- Name: url_section Type: TABLE DATA Owner: minithins
--


INSERT INTO "url_section" ("id","nom","ordre","tag") VALUES (1,'Programming Related Papers',7,'prog');
INSERT INTO "url_section" ("id","nom","ordre","tag") VALUES (2,'Network Related Papers',6,'network');
INSERT INTO "url_section" ("id","nom","ordre","tag") VALUES (3,'Security Related Papers',5,'security');
INSERT INTO "url_section" ("id","nom","ordre","tag") VALUES (4,'Computer Related Philosophic Papers',4,'phylo');
INSERT INTO "url_section" ("id","nom","ordre","tag") VALUES (5,'Security Related Project Sites',3,'projects');
INSERT INTO "url_section" ("id","nom","ordre","tag") VALUES (6,'Repository and Knowledge Sites',2,'kb');
INSERT INTO "url_section" ("id","nom","ordre","tag") VALUES (7,'Team and/or People Sites',1,'l33t');
--
-- Data for TOC Entry ID 14 (OID 45552)
--
-- Name: urls Type: TABLE DATA Owner: minithins
--


INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (354,'http://kernhell.org','HELL','',7,1);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (352,'http://www.hsc.fr','Herv Schauer Consultants','',7,1);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (353,'http://www.projet7.org','Projet7','',7,1);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (355,'http://www.epita.fr/~lse/','LSE','',7,1);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (356,'https://devhell.org','DevHell','',7,1);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (357,'http://www.subk.org/','subk','',7,1);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (358,'http://afturgurluk.org/','Afturgurluk','',7,1);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (359,'http://experts.securite.org/','eXperts','',7,1);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (360,'http://minimum.inria.fr/~raynal/','Frederic Raynal','',7,1);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (361,'http://perso.wanadoo.fr/gilbert.fernandes/','Gilbert Fernandes','',7,1);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (362,'http://people.freebsd.org/~mux/','Maxime Henrion','',7,1);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (363,'http://www.groar.org/','Denis Ducamp','',7,1);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (364,'http://gcu-squad.info/','GCU-Squad','',7,1);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (365,'http://adm.freelsd.net/adm','ADM','',7,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (366,'http://teso.scene.at','TESO','',7,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (367,'http://www.thehackerchoice.com','The Hacker''s Choice','',7,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (368,'http://www.w00w00.org','w00w00','',7,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (369,'http://www.hert.org','HERT','',7,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (370,'http://www.synnergy.net','Synnergy','',7,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (371,'http://mixter.void.ru','Mixter','',7,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (372,'http://www.wiretrip.net/rfp/','Rain Forest Puppy.labs','',7,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (373,'http://www.phrack.org','Phrack','',7,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (374,'http://www.lsd-pl.net/','Last Stage of Delirium','',7,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (375,'http://razor.bindview.com','Razor','',7,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (376,'http://www.s0ftpj.org/','S0ftpr0ject','',7,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (377,'http://www.packetfactory.net','Packet Factory','',7,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (378,'http://www.technotronic.com/horizon/','Horizon','',7,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (379,'http://www.monkey.org/~dugsong/','Dug Song','',7,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (380,'http://www.nmrc.org/','Nomad Mobile Reseach Center','',7,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (381,'http://lcamtuf.coredump.cx/','Michal Zalewski','',7,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (382,'http://www.openwall.com','Solar Designer','',7,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (383,'http://www.gravitino.net/~aempirei/','Ambient Empire','',7,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (384,'http://www.phenoelit.de/','Phenoelit','',7,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (385,'http://www.cs.berkeley.edu/~daw/papers/','David Wagner','',7,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (386,'http://www.cs.uni-potsdam.de/homepages/students/linuxer/','Sebastian Krahmer','',7,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (387,'http://phk.freebsd.dk/','Poul-Henning Kamp','',7,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (388,'http://www.watson.org/~robert/','Robert Watson','',7,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (389,'http://people.freebsd.org/~arr/','Andrew R. Reiter','',7,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (390,'http://people.freebsd.org/~des/','Dag-Erling Smorgrav','',7,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (391,'http://apollo.backplane.com/','Matthew Dillon','',7,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (392,'http://people.freebsd.org/~julian/','Julian Elischer','',7,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (393,'http://people.freebsd.org/~cjc/','Crist J. Clark','',7,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (394,'http://people.freebsd.org/~tmm/','Thomas M. Moestl','',7,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (395,'http://people.freebsd.org/~jlemon/','Jonathan Lemon','',7,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (396,'http://www.icir.org/vern/','Vern Paxson','',7,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (397,'http://www.icir.org/floyd/','Sally Floyd','',7,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (398,'http://zeus.theos.com/deraadt/','Theo de Raadt','',7,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (399,'http://www.citi.umich.edu/u/provos/','Niels Provos','',7,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (400,'http://www.kalug.lug.net/fygrave/','Fyodor Yarochkin','',7,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (401,'http://www.kernelnewbies.org','kernelnewbies','',7,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (340,'http://www.securite.org','Securite.org','',6,1);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (341,'http://www.ouah.org','OUAH','',6,1);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (342,'http://www.hsc.fr/ressources/breves/','HSC Security Tips','',6,1);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (343,'http://www.infosyssec.com/','InfoSysSec','',6,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (344,'http://www.packetstormsecurity.com','Packet Storm','',6,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (345,'http://citeseer.nj.nec.com/cs','ResearchIndex : The NECi Scientific Literature Digital Library','',6,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (346,'http://www.tscm.com/','Granite Island Group TSCM','',6,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (347,'http://www.iol.unh.edu/training/index.html','InterOperability Lab : Tutorials','',6,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (348,'http://www.whitehats.com/','WhiteHats','',6,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (349,'http://www.eff.org/archives.html','EFF Archives','',6,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (350,'http://www.cisco.com/univercd/cc/td/doc/cisintwk/ito_doc/index.htm','Cisco''s Internetworking Technology Overview','',6,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (351,'http://www.silicondefense.com/research/itrex/archive/tracing-papers/','Silicon Defense''s Traceback and Related Papers Archive','',6,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (263,'http://www.nessus.org','Nessus','',5,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (264,'http://www.snort.org','Snort','',5,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (265,'http://www.tcpdump.org','TCPdump','',5,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (266,'http://www.psionic.com/abacus','Abacus Project','',5,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (267,'http://www.insecure.org/nmap/index.html','The Network MAPper (NMAP)','',5,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (268,'http://www.wwdsi.com/saint/','Security Administrator''s Integreted Network Tool (SAINT)','',5,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (269,'http://naughty.monkey.org/~dugsong/dsniff/','DSniff','',5,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (270,'http://ethereal.zing.org/','Ethereal','',5,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (271,'http://www.tripwire.org/','TripWire Open Source Project','',5,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (272,'http://www.cs.tut.fi/~rammer/aide.html','Advanced Intrusion Detection Environment (AIDE)','',5,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (273,'http://www.freeveracity.org/','FreeVeracity','',5,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (274,'http://www.chkrootkit.org/','Chkrootkit','',5,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (275,'http://www.packetfactory.net/Projects/Firewalk/','Firewalk','',5,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (276,'http://www-arc.com/sara/','Security Auditor''s Research Assistant (SARA)','',5,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (277,'http://www.kyuzz.org/antirez/hping.html','Hping','',5,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (278,'http://www.openwall.com/Owl/','Owl','',5,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (279,'http://lin.fsid.cvut.cz/~kra/index.html#HUNT','HUNT','',5,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (280,'http://www.openssh.org/','OpenSSH','',5,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (281,'http://www.openbsd.org/','OpenBSD','',5,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (282,'http://www.trustedbsd.org/','TrustedBSD','',5,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (283,'http://http://opensource.nailabs.com/initiatives/cboss/','Community-Based Open Source Security (CBOSS)','',5,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (284,'http://www.trinux.org/','Trinux','',5,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (285,'http://www.stanford.edu/~atkins/swatch/','The Simple WATCHer (SWATCH)','',5,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (286,'http://www.gnupg.org/','The GNU Privacy Guard (GPG)','',5,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (287,'http://www.stunnel.org/','STunnel','',5,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (288,'http://www.openssl.org/','OpenSSL','',5,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (289,'http://www.mozilla.org/projects/security/pki/nss/','Network Security Services','',5,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (290,'http://all.net/dtk','Deception Toolkit','',5,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (291,'http://cve.mitre.org/','Common Vulnerabilities and Exposures','',5,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (292,'http://project.honeynet.org/','The HoneyNet Project','',5,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (293,'http://www.iu.hio.no/cfengine/','CFEngine','',5,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (294,'http://www.silicondefense.com/idwg/libidmef/','libidmef','',5,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (295,'http://www.porcupine.org/forensics/tct.html','The Coroner Toolkit','',5,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (296,'http://www.whitehats.com/ids/index.html','advanced reference archive of current heuristics for Network Intrusion Detection Systems (arachNIDS)','',5,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (297,'http://www.jedi.claranet.fr/','G2S','',5,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (298,'http://www.mountlinux.com/olympus/','Olympus','',5,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (299,'http://www.webmin.com/webmin','Webmin','',5,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (300,'http://www.freeswan.org','FreeS/WAN','',5,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (301,'http://www.kame.net/','KAME','',5,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (302,'http://www.fish.com/~brad/titan/Titan-Docs/index.html','Titan','',5,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (303,'http://openca.sourceforge.net','OpenCA','',5,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (304,'http://sunsite.ics.forth.gr/sunsite/net_tools/tiger/TAMU/','Tiger','',5,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (305,'http://www-1.ibm.com/servers/eserver/introducing/eliza/','eLiza','',5,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (306,'http://www.lids.org','LIDS','',5,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (307,'http://sourceforge.net/projects/stjude/','Saint Jude','',5,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (308,'http://immunix.org/stackguard.html','StackGuard','',5,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (309,'http://immunix.org/formatguard.html','FormatGuard','',5,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (310,'http://www.research.avayalabs.com/project/libsafe/','LibSafe','',5,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (311,'http://www.packetfactory.net/Projects/ISIC/','IP Stack Integrity Checker (ISIC)','',5,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (312,'http://www.linux-mandrake.com/prelude/','Prelude','',5,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (313,'http://www.bastille-linux.org','Bastille Linux','',5,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (314,'http://www.ietf.org/html.charters/syslog-charter.html','Security Issue in Network Event Logging','',5,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (315,'http://www.tenebrous.com/rain/','Rain','',5,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (316,'http://www.outguess.org/','OutGuess','',5,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (317,'http://www.simon.org.ua/ipa/','IPA','',5,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (318,'http://hts.dshield.org/LaBrea/','LaBrea','',5,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (319,'http://la-samhna.de/samhain/','Samhain','',5,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (320,'http://www.waste.org/~terje/palm/SMSspoof/','SMS spoof','',5,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (321,'http://www.packetninja.net/iv.html','IntraVenous','',5,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (322,'http://www.eecs.harvard.edu/~stein/wafs/','Write-Ahead File System (WAFS)','',5,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (323,'http://www.ebotashop.org','ebota shop','',5,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (324,'http://www.lids.org','Linux Intrusion Detection System (LIDS)','',5,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (325,'http://www.cs.pdx.edu/research/SMN/','Secure Mobile Networking Project','',5,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (326,'http://www.sardonix.org','Sardonix','',5,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (327,'http://www.freebsd.org/auditors.html','FreeBSD Source Auditing Project','',5,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (328,'http://www.cs.berkeley.edu/~weimer/osq/','Open Source Quality (OPQ)','',5,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (329,'http://www.citi.umich.edu/u/provos/honeyd/','HoneyD','',5,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (330,'http://openpam.sourceforge.net/','OpenPAM','',5,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (331,'http://people.freebsd.org/~mike/c99/','FreeBSD C99 and POSIX Conformance Project','',5,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (332,'http://www.monkey.org/~provos/libevent/','libevent','',5,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (333,'http://www.monkey.org/~dugsong/fragroute','fragroute','',5,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (334,'http://www.spamassassin.org/','spamassassin','',5,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (335,'http://lcamtuf.coredump.cx/fenris/','Fenris','',5,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (336,'http://bird.network.cz/','BIRD','',5,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (337,'http://hte.sourceforge.net/','HT Editor','',5,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (338,'http://fabrice.bellard.free.fr/tcc/','TinyCC','',5,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (339,'http://www.stearns.org/p0f/','p0f','',5,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (236,'http://bastien1.free.fr/ILL.html','Logiciel Libre et Innovation Technique','Bastien Guerry',4,1);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (237,'http://www.freescape.eu.org/eclat/2partie/Blondeau/blondeau.html','Gense et Subversion du Capitalisme Informationnel','Olivier Blondeau',4,1);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (238,'http://www.monde-diplomatique.fr/1997/02/QUEAU/7750.html','Offensive Insidieuse contre le Droit Public  l''Information','Philippe Quau',4,1);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (239,'http://www.april.org/articles/divers/intro_ll.html','Logiciels Libres, une introduction','Benjamin Drieu',4,1);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (240,'http://www.minirezo.net/article109.html','Breveter l''Oeuf pour Empcher la Poule de Pondre','Sbastien Canevet',4,1);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (241,'http://www.unesco.org/webworld/telematics/queauifla.htm','Vers un domaine public mondial de l''information','Philippe Queau',4,1);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (242,'http://www.freescape.eu.org/eclat/1partie/Sterling/sterlingtxt.html','Libre comme l''eau, l''air, le savoir','Bruce Sterling',4,1);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (243,'http://shalmaneser.sortilege.org/cndp/','Logiciel Libre pour l''enseignement','Centre National de Documentation Pdagogique',4,1);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (244,'http://www.ofset.org/information/papers/free-software-and-education-fr.html','La Classe, le Gnou et le Pingouin','OFSET',4,1);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (245,'http://europa.eu.int/eur-lex/fr/lif/dat/1991/fr_391L0250.html','Directive 91/250/CEE du Conseil, du 14 mai 1991, concernant la protection juridique des programmes d''ordinateur','',4,1);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (246,'http://www.intrinsec.com/juridique/fraude_info.htm','Loi 88-19 du 5 janvier 1988 relative  la fraude informatique','',4,1);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (247,'http://www.intrinsec.com/juridique/info_liberte.htm','Loi 78-17 du 6 janvier 1978 relative aux fichiers nominatifs informatiques','',4,1);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (248,'http://www.intrinsec.com/juridique/protection_log.htm','Loi du 10 mai 1994 relative  la protection des logiciels','',4,1);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (249,'http://www.intrinsec.com/juridique/cryptologie.htm','Loi 90-1170 relative  la cryptologie','',4,1);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (250,'http://www.technodemocracy.org/people/tgw/docs/ossfs.html','Introduction to Open Source and Free Software','Thom Wysong',4,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (251,'http://www.loebner.net/Prizef/TuringArticle.html','Computing Machinery and Intelligence','A. M. Turing',4,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (252,'http://perens.com/Articles/Patents.html','Software Patents vs Free Software','Bruce Perens',4,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (253,'http://www.sans.org/infosecFAQ/legal/ethics.htm','Ethics and Legalities : What''s the difference ?','Sean Morgan',4,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (254,'http://www.tmn.com/~lisa/vteams-toronto.htm','Managing Virtual Teams','Lisa Kimball',4,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (255,'http://perens.com/Articles/Patents.html','Software Patents vs Free Software','Bruce Perens',4,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (256,'http://tuxedo.org/~esr/writings/cathedral-bazaar/cathedral-bazaar/','The Cathedral and the Bazaar','Eric Raymond',4,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (257,'http://tuxedo.org/~esr/writings/cathedral-bazaar/homesteading/','Homesteading the Noosphere','Eric Raymond',4,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (258,'http://tuxedo.org/~esr/writings/magic-cauldron/magic-cauldron.html','The Magic Cauldron','Eric Raymond',4,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (259,'http://www.slip.net/~knabb/SI/contents.htm','Situationist International Anthology','Ken Knabb',4,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (260,'http://www.hackerethick.org/','The Hacker Ethic and the Spirit of the Information Age','Pekka Himanen ',4,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (261,'','The Future of Ideas','<a href="http://lessig.org">Lawrence Lessig</a>',4,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (262,'http://www.softpanorama.org/Copyright/License_classification/','BSD vs. GPL : A Framework for the Social Analysis','Dr. Nikolai Bezroukov',4,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (105,'http://www.hert.org/papers/awr-1.html','Dynamic Kernel Linker (KLD) Facility Programming Tutorial','Andrew Reiter',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (169,'http://www.packetnexus.com/idsfaq/','Focus IDS FAQ','PacketNexus',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (87,'http://cacr.math.uwaterloo.ca/hac/','Handbook of Applied Cryptography','Alfred J. Menezes',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (88,'','Practical UNIX and Internet Security','Simson Garfinkel',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (89,'http://www.wilyhacker.com/','Firewalls and Internet Security','William Cheswick and Steve Bellovin',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (90,'','Building and Managing Virtual Private Network','Dave Kosiur',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (91,'','Virtual Private Networks : Technologies and Solutions','Ruixi Yuan',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (92,'','Scuriser ses changes lectroniques avec une PKI','Laurent Bellefin and Thierry Autret',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (93,'','La Signature lectronique','Arnaud F. Fausse',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (94,'http://members.prestige.net/tmiller12/papers/lkm.htm','Detecting Loadable Kernel Modules','Toby Miller',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (95,'http://www.aciri.org/vern/papers/backdoor/index.html','Detecting Backdoors','Yin Zhang',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (96,'http://www.hert.org/papers/klog-2.html','Backdooring Binary Object','Klog',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (97,'http://bugtraq.inet-one.com/dir.1997-08/msg00091.html','Backdoors','Christopher Klaus',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (98,'http://www.radium.ncsc.mil/tpep/library/rainbow/NCSC-TG-030.html','A Guide to Understanding Covert Channel Analysis of Trusted Systems','National Computer Security Center',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (99,'http://os.inf.tu-dresden.de/~westfeld/publikationen/ihw99.pdf','Attacks on Steganographic Systems','Andreas Westfeld and Andreas Pfitzmann',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (100,'http://phrack.org/show.php?p=43&a=14','Playing Hide and Seek, Unix Style','Phreak Accident',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (101,'http://www.big.net.au/~silvio/runtime-kernel-kmem-patching.txt','Runtime Kernel Kmem Patch','Silvio Cesare',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (102,'http://www.big.net.au/~silvio/kernel-hijack.txt','Kernel Function Hijacking','Silvio Cesare',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (103,'http://www.big.net.au/~silvio/lib-redirection.txt','Shared Library Call Redirection using ELF PLT Infection','Silvio Cesare',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (104,'http://www.muppetlabs.com/~breadbox/software/ELF.txt','Executable and Linkable Format Specifications','Brian Raiter',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (106,'http://www.linuxdoc.org/LDP/lkmpg/mpg.html','Linux Kernel Module Programming Guide','Ori Pomerantz',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (107,'http://www.thehackerschoice.com/papers/LKM_HACKING.html','(nearly) Complete Linux Loadable Kernel Modules','pragmatic',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (108,'http://www.w00w00.org/files/articles/lkmhack.txt','Kernel hacking made easy','Nicolas Dubee',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (109,'http://www.softpanorama.org/Security/integrity_checkers.shtml','Fighting Rootkit and Similar Trojans: Integrity Checkers and Trojan detectors','Softpanorama University',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (110,'http://staff.washington.edu/dittrich/misc/faqs/rootkits.faq','Root Kits and hiding files/directories/processes after a break-in','Dittrich',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (111,'http://packetstormsecurity.com/groups/thc/slkm-1.0.html','Solaris Loadable Kernel Modules','Plasmoid',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (112,'http://packetstormsecurity.com/papers/unix/bsdkern.htm','Attacking FreeBSD with Kernel Modules','Pragmatic',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (113,'','Fun and Games with FreeBSD Kernel Modules','Stephanie Wehner',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (114,'http://www.big.net.au/~silvio/stealth-syscall.txt','Syscall Redirection without Modifying the Syscall Table','Silvio Cesare',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (115,'http://www.cerias.purdue.edu/homes/spaf/tech-reps/gkim','Monitoring File System Integrity with Tripwire','Gene Kim',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (116,'http://www.antioffline.com/deviation/ind.html','Deviation','AntiOffline',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (117,'','Understanding the Linux Kernel','Daniel Bovet',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (118,'http://razor.bindview.com/publish/papers/signals.txt','Delivering Signals for Fun and Profit','Michael Zalewski',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (119,'','Network Intrusion Detection : An Analyst''s Handbook 2E','Stephen Northcutt',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (120,'','Intrusion Signatures and Analysis','Stephen Northcutt',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (121,'','Intrusion Detection','Rebecca Gurley Bace',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (122,'','Intrusion Detection : An Introduction to Internet Surveillance, Correlation, Trace Back, Traps, and Response','Edward G. Amoroso',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (123,'http://www.raptor.com/lib/ncsc.ps','A Pattern Matching Model for Misuse Intrusion Detection','COAST/Purdue University',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (124,'http://www.raptor.com/lib/9413.ps','An Application of Pattern Matching in Intrusion Detection','COAST/Purdue University',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (125,'http://eleves.mines.u-nancy.fr/~huin/fake/filtres.html','Pattern Matching et Dtection d''Intrusion','Matthieu Huin',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (126,'http://www.cs.umbc.edu/cadip/docs/NetworkIntrusion/tr9805.ps','An Architecture for Intrusion Detecion using Autonomous Agents','COAST/Purdue University',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (127,'http://www.cerias.purdue.edu/ssl/techreports-ssl/public/98-10.ps','Identification of Host Audit Data to Detect Attacks on Low-Level IP Vulnerabilities','COAST/Purdue University',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (128,'http://www.sdl.sri.com/nides/reports/9sri.pdf','A Real-Time Intrusion Detection Expert System (IDES)','SRI',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (129,'http://www.sdl.sri.com/papers/4sri/','Next Generation Intrusion Detection Expert System, A Summary','SRI',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (130,'http://purcell.ecn.purdue.edu/~terran/facts/pubs/aaai97-ws.ps','Sequence Matching and Learning in Anomaly Detection for Computer Security','Purdue University',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (131,'http://seclab.cs.ucdavis.edu/papers/kfl94.','Automated Detection of Vulnerabilities in Priviliged Programs by Monitoring','University of California',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (132,'http://www.allaire.com/DocumentCenter/Partners/ASZ_ASWPS_Detecting_Intrusions.pdf','Detecting Intrusions : Methods of detecting intrusion attempts and security breaches','Allaire Security',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (133,'http://www.cs.columbia.edu/~ezk/research/binaryeval/','Data Mining Methods for Detection of New Malicious Executables','Columbia University',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (134,'http://download.nai.com/products/media/pgp/pdf/DISCEX-IDR-Infrastructure.pdf','Infrastructure for Intrusion Detection and Response','NAI',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (135,'http://www.phrack.com/show.php?p=54&a=10','Defeating Sniffers and Intrusion Detection Systems','Horizon',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (136,'http://www.cs.columbia.edu/ids/concept/','Real-Time Data Mining-based Intrusion Detection','Columbia University',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (137,'http://www.ietf.org/internet-drafts/draft-ietf-idwg-requirements-06.txt','Intrusion Detection Message Exchange Requirements','IETF Intrusion Detection Working Group',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (138,'http://project.honeynet.org/papers/honeynet/','Know Your Ennemy; Honeynets','Lance Spitzner',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (139,'http://www.enteract.com/~lspitz/honeypot.html','Honeypots: Definitions and Value of Honeypots','Lance Spitzner',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (140,'http://www.securityfocus.com/infocus/1506','Virtual Honeynets','Michael Clark',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (141,'http://www.securitywriters.org/texts/internet%20security/Virtual_HoneyNet.php','Creating a Virtual HoneyNet January','etsh_cucu',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (142,'http://www.sans.org/infosecFAQ/intrusion/honeypots.htm','Honeypots and Intrusion Detection','David Klug',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (143,'http://www.ists.dartmouth.edu/IRIA/knowledge_base/honeynets.htm','Honeynets','Chris Brenton',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (144,'http://www.synnergy.net/downloads/papers/host-detection.txt','Advanced Host Detection : Techniques To Validate Host-Connectivity','dethy',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (145,'http://www.pgp.com/research/nailabs/ia-architecture/demonstration.asp','Intrusion Detection Inter-compoment Adaptive Negociation','University of California',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (146,'http://www.enteract.com/~lspitz/ids.html','Intrusion Detection: Knowing when someone is knocking on your door','Lance Spitzner',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (147,'http://lib-www.lanl.gov/la-pubs/00416750.pdf','Intrusion Detection System Product Survey','Kathleen Jackson',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (148,'http://secinf.net/info/ids/idspaper/idspaper.html','Insertion, Evasion and Denial of Service : Eluding Network Intrusion Detection','Thomas Ptacek / Tim Newsham',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (149,'http://www.zeltser.com/sans/idic-practical/','ID Pratical Assignment','Lenny Zeltser',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (150,'http://www.guill.net/reseaux/Articles.html','Synthse d''Articles de Recherche sur la dtection d''intrusions','Guill.net',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (151,'http://www.cs.nps.navy.mil/people/faculty/rowe/c4i00a.htm','Distributed Intrusion Detection for Computer Systems Using Communicating Agents','Dennis Ingram / Neil Rowe',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (152,'http://www.cs.nps.navy.mil/people/faculty/rowe/ingramthesis.htm','Autonomous Agents for Distributed Intrusion Detection in a Multi-Host Environment','Dennis Ingram',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (153,'http://www.cs.nps.navy.mil/people/faculty/rowe/barruspap.html','A Distributed Autonomous-Agent Network-Intrusion Detection and Response System','Joseph Barrus',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (154,'http://www.robertgraham.com/pubs/network-intrusion-detection.html','FAQ: Network Intrusion Detection Systems','Robert Graham',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (155,'http://www.phrack.Com/show.php?p=53&a=10','Interface Promiscuity Obscurity','Apk',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (156,'http://www.sans.org/infosecFAQ/covertchannels/sniffer.htm','Sniffer Detection Tools and Countermeasures','James Downey',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (157,'http://www.sans.org/infosecFAQ/intrusion/IDS_sensors.htm','Evading Passive Sniffer Detection with IDS Sensor','Bryan Brant',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (158,'http://www.sans.org/newlook/resources/IDFAQ/ID_FAQ.htm','Intrusion Detection FAQ','SANS Institute',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (159,'http://www.cs.columbia.edu/~sal/hpapers/DMKDJ.ps.gz','Mining in a Data Flow Environment : Experience in Network Intrusion Detection','Columbia University',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (160,'http://www.cs.columbia.edu/~sal/hpapers/USENIX/usenix.html','Data Mining Approaches for Intrusion Detection','Columbia University',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (161,'http://www.wiretrip.net/rfp/pages/whitepapers/whiskerids.html','A look at whisker''s anti-IDS tactics','Rain Forest Puppy',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (162,'http://www.cs.columbia.edu/~sal/hpapers/framework.ps.gz','A Data Mining Framework for Adaptive Intrusion Detection','Columbia University',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (163,'http://www.imfgroup.com/docs/intrmgmt.htm','Managing Intrusions','Peter Stephenson',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (164,'http://www.robertgraham.com/slides/0103cansec/0103cansec.ppt','IDS Evasion vs Protocole Analysis','Robert Graham',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (165,'http://www.all.net/journal/ntb/ids.html','Intrusion Detection and Response','Livermore National Laboratory',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (166,'http://snortnet.scorpions.net/snortnet.ps','SnortNet - A Distributed Intrusion Detection System','Fyodor Yarochkin',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (167,'http://www.media.mit.edu/~sibyl/projects/apt/iui2001_profile.pdf','Intelligent Profiling by Example','Sybil Shearin',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (168,'http://www.aciri.org/vern/papers/norm-usenix-sec-01-html/index.html','Network Intrusion Detection : Evasion, Traffic Normalization, and End-to-End Protocol Semantics','Vern Paxson',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (170,'http://www.mcg.org.br/cert.htm','Overview of Certification Systems : X.509, CA, PGP and SKIP','Edgardo Gerck',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (171,'http://ospkibook.sourceforge.net/','The Open Source PKI Book','OpenCA Team',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (172,'http://www.linuxdoc.org/HOWTO/VPN-HOWTO.html','VPN HowTo','Matthew Wilson',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (173,'http://kubarb.phsx.ukans.edu/~tbird/vpn/FAQ.html','Virtual Private Networks / Frequently Asked Questions','Tina Bird',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (174,'http://www.sans.org/infosecFAQ/threats/buffer_overflow.htm','Buffer Overflow : Why, How and Prevention','Nicole Decker',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (175,'http://www.mcs.csuhayward.edu/~simon/security/boflo.html','A Comparative Analysis of Methods of Defense against Buffer Overflow Attacks','Istvan Simon',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (176,'http://www.cultdeadcow.com/cDc_files/cDc-351/','The Tao of Windows Buffer Overflow','DilDog',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (177,'http://phrack.org/show.php?p=55&a=15','Win32 Buffer Overflow','Dark Spyrit',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (178,'http://phrack.org/show.php?p=49&a=14','Smashing the Stack for Fun and Profit','Aleph1',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (179,'http://phrack.org/show.php?p=55&a=8','Frame Pointer Overwriting','Klog',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (180,'http://phrack.org/show.php?p=56&a=8','Smashing C++ VPTRs','Rix',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (181,'http://mixter.void.ru/exploit.txt','Writing buffer overflow exploits: a tutorial for beginners','Mixter',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (182,'http://www.synnergy.net/downloads/papers/htce.txt','How To Code Stack Based Exploits','Dethy',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (183,'http://www.insecure.org/stf/mudge_buffer_overflow_tutorial.html','How To Write Buffer Overflow','Mudge',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (184,'http://www.w00w00.org/files/articles/heaptut.txt','w00w00 on Heap Overflow','Shok',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (185,'http://phrack.org/show.php?p=57&a=8','Vudo: An object superstitiously believed to embody magical powers','Michel MaXX Kaempf',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (186,'http://www.phrack.org/show.php?p=57&a=9','Once upon a free()...','anonymous',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (187,'http://www.immunix.org/StackGuard/discex00.pdf','Buffer Overflows :&nbsp;Attacks and Defenses for the Vulnerability of the Decade','Crispin Cowan',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (188,'http://www-rocq.inria.fr/~raynal/LinuxMag/SecProg/Art3/index-fr.html','Secure Programming: Buffer Overflow','Frederic Raynal, Christophe Blaess et Christophe Grenier',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (189,'https://arachnide.devhell.2y.net/~rix/texts/stckover.txt','Buffer Overflow : le retour','Rix',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (190,'http://www.daemonnews.org/200102/armoring.html','Armoring FreeBSD','Markus Delves',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (191,'http://www.freebsdzine.org/attic/199901/firewalls.txt','Firewall: An Overview','Dan Langille',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (192,'http://www.daemonnews.org/200103/ipf_bridge.html','OpenBSD bridge without IPs using IPF Tutorial','Doug Hogan',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (193,'http://www.free-x.ch/pub/FreeBSD-IPFILTER.html','How to Build a FreeBSD-STABLE Firewall with IPFILTER','Marty Schlacter',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (194,'http://www.free-x.ch/pub/ipf-conf-en.html','Configuration of IPFilter on FreeBSD','Georg Wagner',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (195,'http://www.obfuscation.org/ipf/ipf-howto.txt','IP Filter Based Firewalls Howto','Brendan Conoboy',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (196,'http://packetstormsecurity.com/papers/firewall/firewall_bsd.txt','Setting up a FreeBSD Firewall using ipfw','Larry Cashdollar',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (197,'http://www.bsdtoday.com/2000/May/Features165.html','Running a BSD-based Firewall','Jim O''Gorman',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (198,'http://www.free-x.ch/pub/mtree-tripwire.html','mtree : a built-in tripwire','Georg Wagner',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (199,'http://www.onlamp.com/pub/a/bsd/2001/02/07/FreeBSD_Basics.html','Securing BSD Daemons','Dru Lavigne',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (200,'http://www.freebsdzine.org/attic/199905/security.txt','Advantage of tcp_wrappers','Dan Langille',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (201,'http://people.freebsd.org/~jkb/howto.html','FreeBSD Security Howto','jkb',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (202,'http://www.ddj.com/articles/2001/0104/0104f/0104f.htm','Being Prepared for Intrusion','Dan Farmer et Wietse Venema',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (203,'http://www.cs.berkeley.edu/~nweaver/warhol.html','Warhol Worms : The Potential for Very Fast Internet Plagues','Nicholas C. Weaver',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (204,'http://www.idealx.org/fr/doc/support-cours-8/support-cours-8.html','Linux et sa Scurit','idealx',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (205,'http://www.cert.org/tech_tips/usc20_full.html','UNIX Security Checklist v2.0','CERT/CC et AusCERT',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (206,'http://www-cse.ucsd.edu/users/mihir/papers/hmac.html','HMAC Papers','Misc',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (207,'ftp://ftp.guardian.no/pub/free/linux/capabilities/capfaq.txt','Linux Capabilities FAQ 0.2','?',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (208,'http://wt.xpilot.org/publications/posix.1e/','Summary about POSIX.1e/2c','IEEE',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (209,'http://www.aciri.org/vern/papers/bro-CN99.html','Bro : A System for Detecting Network Intruders in Real-Time','Vern Paxson',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (210,'http://eleves.mines.u-nancy.fr/~huin/fake/filtres.html','Pattern Matching et Detection d''Intrusion','Matthieu Huin',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (211,'','Computer Forensics : Incident Response Essentials','Warren Kruse et Jay G. Heiser',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (212,'','Incident Response : Investigating Computer Crime','Chris Prosise et Kevin Mandia',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (213,'','Unix Backup and Recovery','W. Curtis Preston',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (214,'','Computer Intrusion Detection and Network Monitoring','Marchette',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (215,'','Computer Security Incident Handling Step By Step Guide','Stephen Northcutt',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (216,'http://securityfocus.com/infocus/1539','Linux Kernel Hardening','Anton Chuvakin',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (217,'http://world.std.com/~dtd/sign_encrypt/sign_encrypt7.html','Defective Sign and Encrypt in S/MIME, PKCS#7, MOSS, PEM, PGP, and XML','Don Davis',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (218,'http://security-archive.merton.ox.ac.uk/bugtraq-200012/0500.html','Exploiting Kernel Buffer Overflows FreeBSD Style','Esa Etelavuori',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (219,'http://www.codetalker.com/whitepapers/other/bsd-immute.html','Vulnerability in 4.4BSD Secure Levels Implementation','Niall Smart',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (220,'http://www.epcc.ed.ac.uk/t3d/documents/techreports/EPCC-TR96-04/RNG-review.book_1.html','Parallel random number generators','Stephen Booth',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (221,'http://www.openbsd.org/slides/musess_2002/','Fix The Bugs, Secure The System','Louis Bertrand',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (222,'http://online.securityfocus.com/infocus/1524','Network Intrusion Detection Signatures, Part One','Karen Frederick',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (223,'http://online.securityfocus.com/infocus/1534','Network Intrusion Detection Signatures, Part Two','Karen Frederick',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (224,'http://online.securityfocus.com/infocus/1544','Network Intrusion Detection Signatures, Part Three','Karen Frederick',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (225,'http://online.securityfocus.com/infocus/1553','Network Intrusion Detection Signatures, Part Four','Karen Frederick',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (226,'http://online.securityfocus.com/infocus/1569','Network Intrusion Detection Signatures, Part Five','Karen Frederick',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (227,'http://white.stanford.edu/~heeger/sdt/sdt.html','The Signal Detection Theory','David Heeger',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (228,'http://www.epita.fr:8000/~lse/projects/stealth_shellcodes/','Polymorphisme et Camouflage de Shellcodes','Julien Olivain',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (229,'http://www.enseirb.fr/~glaume/bof/','A Buffer Overflow Study Attacks & Defenses','Vincent Glaume & Pierre-Alain Fayolle',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (230,'http://rr.sans.org/intrusion/interop.php','Intrusion Detection Interoperability and Standardization','Pravin Kothari',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (231,'http://xxx.lanl.gov/abs/cond-mat/0203011','Interacting Neural Networks and Cryptography','Wolfgang Kinzel and Ido Kanter',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (232,'http://www.codeguru.com/dll/LoadDll.shtml','Injecting a DLL into Another Process''s Address Space','Zoltan Csizmadia',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (233,'http://www.codeguru.com/dll/apihijack.shtml','APIHijack : A Library for Easy DLL Function Hooking','Wade Brainerd',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (234,'http://www.monkey.org/~dugsong/talks/csw02/','Fragroute : NIDS Testing Revisited','Dug Song',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (235,'http://www.u-n-f.com/papers/terminated_buffers.html','Exploiting none terminated buffers','pr1',3,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (44,'http://www.hsc.fr/ressources/breves/pcap.html','Introduction la Libpcap','Frdric Lavcot',2,1);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (45,'http://www.hsc.fr/ressources/breves/libnids.html','Introduction  Libnids','Frdric Lavcot',2,1);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (46,'','IPv6, Thorie et Pratique','Gisle Cizault',2,1);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (47,'http://yenigul.net/tcpip/','TCP/IP Illustrated, Volume 1 The Protocols','Richard Stevens',2,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (48,'http://www.oreillynet.com/pub/a/network/2001/03/16/net_2nd_lang.html','Basics of Network Segmentation : Switching and Bridging','Michael Norton',2,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (49,'http://www.robertgraham.com/pubs/sniffing-faq.html','Sniffing (Network wiretrap, sniffer) FAQ','Robert Graham',2,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (50,'http://www.sans.org/infosecFAQ/switchednet/sniffers.htm','Sniffers: What are they and How to Protect From Them','Jason Drury',2,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (51,'http://project.honeynet.org/papers/finger/','Know Your Ennemy: Passive Fingerprinting','Lance Spitzner',2,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (52,'http://www.incidents.org/papers/OSfingerprinting.php','Passive OS Fingerprinting : Details and Techniques','Toby Miller',2,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (53,'http://razor.bindview.com/publish/papers/tcpseq.html','Strange Attractors and TCP/IP Sequence Number Analysis','Michal Zalewski',2,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (54,'http://www.switch.ch/docs/ttl_default.html','Default TTL Values in TCP/IP','SWITCH',2,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (55,'http://www.secsup.org/Tracking/','BlackHole Route Server and Tracking Trafic on an IP Network','Chris Morrow',2,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (56,'http://cr.yp.to/syncookies.html','Syn Cookies','D.J. Bernstein',2,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (57,'http://www.ietf.org/rfc/rfc2960.txt','RFC 2960 : Stream Control Transmission Protocol','IETF',2,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (58,'http://www.ietf.org/rfc/rfc2581.txt','RFC 2581 : TCP Congestion Control','IETF',2,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (59,'http://www.ietf.org/rfc/rfc2001.txt','RFC 2001 : TCP Slow Start, Congestion Avoidance, Fast Retransmit, and Fast Recovery Algorithms','IETF',2,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (60,'http://www.ietf.org/rfc/rfc3168.txt','RFC 3168 : The Addition of Explicit Congestion Notification (ECN) to IP','IETF',2,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (61,'http://www.ietf.org/rfc/rfc1858.txt','RFC 1858 : Security Considerations for IP Fragment Filtering','IETF',2,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (62,'http://www.ietf.org/rfc/rfc1948.txt','RFC 1948 : Defending Against Sequence Number Attacks','IETF',2,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (63,'http://www.ietf.org/rfc/rfc815.txt','RFC 815 : IP Datagram Reassembly Algorithms','IETF',2,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (64,'http://www.ietf.org/rfc/rfc1122.txt','RFC 1122 : Requirements for Internet Hosts -- Communication Layers','IETF',2,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (65,'http://www.ietf.org/rfc/rfc813.txt','RFC 813 : Windows and Acknowledgment Strategy in TCP','IETF',2,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (66,'http://www.ietf.org/rfc/rfc1323.txt','RFC 1323 : TCP Extensions for High Performance','IETF',2,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (67,'http://www.ietf.org/rfc/rfc2018.txt','RFC 2018 : TCP Selective Acknowledgment Options','IETF',2,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (68,'http://www.ietf.org/rfc/rfc1191.txt','RFC 1191 : Path MTU Discovery','IETF',2,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (69,'http://www.securite.org/presentations/secip/','Protection de l''infrastructure rseau IP en environnement Cisco','Nicolas Fischbach et Sebastien Lacoste-Seris',2,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (70,'http://www.psionic.com/papers/covert/covert.tcp.tar.gz','Covert Channel in the TCP/IP Protocol Suite','Craig Rowland',2,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (71,'http://www.sans.org/infosecFAQ/covertchannels/covert_shells.htm','Covert Shells','Christian Smith',2,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (72,'http://www.ntsecurity.nu/papers/acktunneling/','ACK Tunneling Trojan','Arne Vidstorm',2,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (73,'http://www.phrack.com/show.php?p=49&a=6','Project Loki: ICMP Tunnelling','daemon9',2,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (74,'http://www.sans.org/infosecFAQ/threats/frag_attacks.htm','An Analysis of Fragmentation Attack','Jason Anderson',2,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (75,'http://phrack.org/show.php?p=57&a=7','ICMP based remote OS TCP/IP stack fingerprinting techniques','Ofir Arkin & Fyodor Yarochkin',2,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (76,'http://www.netw3.com/documents/Protecting_Network_Infrastructure.htm','Protecting Network Infrastructure','Curt Wilson',2,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (77,'http://www.csl.sony.co.jp/person/kjc/software/TIPS.txt','ALTQ Tips','Kenjiro Cho',2,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (78,'http://www.employees.org/~bmah/Talks/pchar-ISMA.pdf','Estimating Bandwidth and Other Network Properties','Bruce A. Mah',2,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (79,'http://luxik.cdi.cz/~devik/qos/htb/','HTB Linux queuing discipline manual','Martin Devera aka devik',2,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (80,'http://www.phrack.org/show.php?p=53&a=5','An Overview of Internet Routing','krnl',2,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (81,'http://www.isaac.cs.berkeley.edu/isaac/wep-faq.html','Security of the WEP algorithm','Nikita Borisov, Ian Goldberg et David Wagner',2,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (82,'http://www.cs.umd.edu/~waa/1x.pdf','An Initial Security Analysis of the IEEE 802.1X Protocol','William Arbaugh et Arunesh Mishra',2,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (83,'http://www.ietf.org/internet-drafts/draft-ietf-mobileip-mipv6-scrty-reqts-02.txt','Threat Models introduced by Mobile IPv6 and Requirements for Security in Mobile IPv6','IETF MobileIP WG',2,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (84,'http://www.cisco.com/univercd/cc/td/doc/product/software/ios122/122cgcr/fsecur_c/index.htm','Cisco IOS Security Configuration Guide, Release 12.2','Cisco',2,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (85,'http://www.linuxhq.com/kernel/v2.4/doc/networking/ip-sysctl.txt.html','/proc/sys/net/ipv4/* Variables','Alexey Kuznetsov',2,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (86,'http://citeseer.nj.nec.com/smith96securing.html','Securing the Border Gateway Routing Protocol','Bradley R. Smith',2,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (1,'http://inferno.cs.univ-paris8.fr/~am/tutorial/os/tutorial00.html','BosoKernel: une introduction a la programmation de systemes d''exploitation','Arnauld Michelizza',1,1);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (2,'','Matrise des Algorithmes en C','Kyle Loudon',1,1);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (3,'','Algorithmique du Texte','Crochemore et Lecroq',1,1);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (4,'','Mthodologie de la Programmation en C','Jean Pierre Braquelaire',1,1);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (5,'','Langage C Norme ANSI','Brian W. Kernighan et Denis M. Ritchie',1,1);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (6,'','Langage C ANSI : Vers une pense objet en Java','Philippe Drix',1,1);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (7,'','Lambda-calcul, types et modles','Jean-Louis Krivine',1,1);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (8,'http://articles.linuxmag-france.org/lm32/hackC.html','Hack en C','Nicolas Boulay',1,1);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (9,'http://pauillac.inria.fr/algo/banderier/Facto/','Crible quadratique, fractions continues et consorts','Cyril Banderier',1,1);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (10,'http://www.cm.cf.ac.uk/Dave/C/CE.html','Programming in C : UNIX System Calls and Subroutines using C','A. D. Marshall',1,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (11,'http://www-cs-faculty.stanford.edu/~knuth/taocp.html','The Art of Computer Programming','Donald Knuth',1,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (12,'http://www.int80h.org/bsdasm/','FreeBSD Assembly Language Programming','G. Adam Stanislav',1,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (13,'http://www.unix.geek.org.uk/~arny/info/library_toc.html','GNU C Library','Free Software Foundation',1,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (14,'http://www.gnu.org/prep/standards_toc.html','GNU Coding Standards','Free Software Foundation',1,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (15,'http://webster.cs.ucr.edu/','Art of Assembly Language Programming','Randall Hyde',1,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (16,'http://www.cs.tu-bs.de/softech/info/gcc_toc.html','Using and Porting GNU CC','Andreas Zeller',1,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (17,'http://www.cs.tu-bs.de/softech/info/cpp_toc.html','The C Preprocessor','Richard Stallman',1,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (18,'http://www.cs.tu-bs.de/softech/info/gdb_toc.html','Debugging with GDB','Richard Stallman',1,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (19,'http://www.cs.tu-bs.de/softech/info/make_toc.html','GNU Make','Richard Stallman',1,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (20,'http://www-igm.univ-mlv.fr/~lecroq/string/','Exact String Matching','Christian Charras et Thierry Lecroq',1,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (21,'http://people.freebsd.org/~jasone/refs/freebsd_kse/freebsd_kse.html','Kernel Scheduling Entities','Jason Evans',1,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (22,'http://www.linuxgazette.com/issue71/joshi.html','Code Optimization Using the GNU C Compiler','Rahul U Joshi',1,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (23,'http://www.digitalmars.com/d/','D Programming Language','Digital Mars',1,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (24,'http://www.usenix.org/events/usenix99/full_papers/millert/millert_html/','strlcat and strlcat : consistent, safe, string copy and concatenation','Todd C. Miller',1,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (25,'http://www-ra.informatik.uni-tuebingen.de/SNNS/UserManual/UserManual.html','Stuttgart Neural Network Simulator User Manual','IPVR',1,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (26,'http://lsd-pl.net/asmcodes.html','Unix Assembly Codes Development for Vulnerabilities Illustration Purpose','Last Stage of Delirium',1,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (27,'http://www.cs.berkeley.edu/~daw/papers/overruns-ndss00-slides.ps','First Step Towards Automated Detection of Buffer Overrun Vulnerabilities','David Wagner',1,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (28,'http://www.cs.berkeley.edu/~daw/papers/fmtstr-use01.pdf','Detecting Format String Vulnerabilities with Type Qualifiers','David Wagner',1,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (29,'http://lcamtuf.coredump.cx/NNnight/','Artificial Consciousness: Neural Networks Revised','Michal Zalewski',1,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (30,'http://linuxassembly.org/linasm.html','Using Assembly Language in Linux','phillip',1,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (31,'','The Design and Implementation of the 4.4BSD Unix Operating System','Kirk McKusick, Keith Bostic, Michael J. Karels et John S. Quarterman',1,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (32,'','4.4BSD Programmer''s Reference Manual','CSRG UC Berkeley',1,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (33,'','Introduction to Algorithms, Second Edition','Charles E. Leiserson et Ronald L. Rivest',1,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (34,'','Pattern Matching Algorithms','Apostolico et Galil',1,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (35,'','Algorithms on Strings, Trees and Sequences','Dan Gusfield',1,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (36,'http://www.nist.gov/dads/','Dictionary of Algorithms and Data Structures','NIST',1,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (37,'http://www.acm.org/classics/sep95/','Reflections on Trusting Trust','Ken Thompson',1,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (38,'http://www.dwheeler.com/secure-programs/Secure-Programs-HOWTO/book1.html','Secure Programming for Linux and Unix HOWTO','David A. Wheeler',1,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (39,'http://state-threads.sourceforge.net/docs/st.html','State Threads for Internet Applications','Gene Shekhtman et Mike Abbott',1,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (40,'http://people.freebsd.org/~jlemon/kqueue.pdf','Kqueue : A generic and scalable event notification facility','Jonathan Lemon',1,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (41,'http://www.dontveter.com/bpr/bpr.html','Backpropagator''s Review','Donald R. Tveter',1,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (42,'http://www.8ung.at/shell/hhg.html','Hurd Hacking Guide','Wolfgang Jhrling',1,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (43,'http://agt.buka.org/AgtDoc.txt','Argante','Michal Zalewksi',1,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (404,'http://phreedom.org','Phreedom','',7,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (403,'http://research.sun.com/people/cristina/','Cristina Cifuentes','',7,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (402,'http://research.microsoft.com/~adg/','Andrew D. Gordon','',7,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (407,'http://wwwzenger.informatik.tu-muenchen.de/persons/huckle/bugse.html','Collection of Software Bugs','Thomas Huckle',1,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (406,'http://www.stud.uni-hannover.de/~michael/software/','Libelf','',5,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (405,'http://www.citi.umich.edu/u/provos/systrace/','Systrace','',5,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (408,'http://www.symonds.net/~abhi/files/mm/','Memory Management in Linux','Abhishek Nayani',1,0);
INSERT INTO "urls" ("id","url","nom_url","auteur","url_section","lang") VALUES (410,'test','test','test',4,0);
--
-- Data for TOC Entry ID 15 (OID 46022)
--
-- Name: users Type: TABLE DATA Owner: minithins
--


INSERT INTO "users" ("id","username","pass") VALUES (1,'mycroft','');
INSERT INTO "users" ("id","username","pass") VALUES (2,'eberkut','');
