DROP TABLE url_section;
DROP SEQUENCE url_section_id_seq;
CREATE TABLE url_section (
  id serial,
  nom varchar (256),
  ordre int DEFAULT 0 NOT NULL,
  tag varchar (16),
  CONSTRAINT PK_URL_SECTION primary key (id)
);

DROP TABLE urls;
DROP SEQUENCE urls_id_seq;
CREATE TABLE urls (
  id serial,
  url varchar (512),
  nom_url varchar (512),
  auteur varchar (128),
  url_section int,
  lang int,
  CONSTRAINT PK_URLS primary key (id)
);

INSERT INTO url_section (nom, ordre, tag) values (
'Programming Related Papers',
7,
'prog'
);

INSERT INTO url_section (nom, ordre, tag) values (
'Network Related Papers',
6,
'network'
);

INSERT INTO url_section (nom, ordre, tag) values (
'Security Related Papers',
5,
'security'
);

INSERT INTO url_section (nom, ordre, tag) values (
'Computer Related Philosophic Papers',
4,
'phylo'
);

INSERT INTO url_section (nom, ordre, tag) values (
'Security Related Project Sites',
3,
'projects'
);

INSERT INTO url_section (nom, ordre, tag) values (
'Repository and Knowledge Sites',
2,
'kb'
);

INSERT INTO url_section (nom, ordre, tag) values (
'Team and/or People Sites',
1,
'l33t'
);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://inferno.cs.univ-paris8.fr/~am/tutorial/os/tutorial00.html',
'BosoKernel: une introduction a la programmation de systemes d\'exploitation',
'Arnauld Michelizza', 
7,
1);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'',
'Matrise des Algorithmes en C',
'Kyle Loudon',
7,
1);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'',
'Algorithmique du Texte',
'Crochemore et Lecroq',
7,
1);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'',
'Mthodologie de la Programmation en C',
'Jean Pierre Braquelaire',
7,
1);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'',
'Langage C Norme ANSI',
'Brian W. Kernighan et Denis M. Ritchie',
7,
1);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'',
'Langage C ANSI : Vers une pense objet en Java',
'Philippe Drix',
7,
1);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'',
'Lambda-calcul, types et modles',
'Jean-Louis Krivine',
7,
1);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://articles.linuxmag-france.org/lm32/hackC.html',
'Hack en C',
'Nicolas Boulay',
7,
1);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://pauillac.inria.fr/algo/banderier/Facto/',
'Crible quadratique, fractions continues et consorts',
'Cyril Banderier',
7,
1);


INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.cm.cf.ac.uk/Dave/C/CE.html',
'Programming in C : UNIX System Calls and Subroutines using C',
'A. D. Marshall',
7,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www-cs-faculty.stanford.edu/~knuth/taocp.html',
'The Art of Computer Programming',
'Donald Knuth',
7,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.int80h.org/bsdasm/',
'FreeBSD Assembly Language Programming',
'G. Adam Stanislav',
7,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.unix.geek.org.uk/~arny/info/library_toc.html',
'GNU C Library',
'Free Software Foundation',
7,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.gnu.org/prep/standards_toc.html',
'GNU Coding Standards',
'Free Software Foundation',
7,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://webster.cs.ucr.edu/',
'Art of Assembly Language Programming',
'Randall Hyde',
7,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.cs.tu-bs.de/softech/info/gcc_toc.html',
'Using and Porting GNU CC',
'Andreas Zeller',
7,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.cs.tu-bs.de/softech/info/cpp_toc.html',
'The C Preprocessor',
'Richard Stallman',
7,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.cs.tu-bs.de/softech/info/gdb_toc.html',
'Debugging with GDB',
'Richard Stallman',
7,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.cs.tu-bs.de/softech/info/make_toc.html',
'GNU Make',
'Richard Stallman',
7,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www-igm.univ-mlv.fr/~lecroq/string/',
'Exact String Matching',
'Christian Charras et Thierry Lecroq',
7,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://people.freebsd.org/~jasone/refs/freebsd_kse/freebsd_kse.html',
'Kernel Scheduling Entities',
'Jason Evans',
7,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.linuxgazette.com/issue71/joshi.html',
'Code Optimization Using the GNU C Compiler',
'Rahul U Joshi',
7,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.digitalmars.com/d/',
'D Programming Language',
'Digital Mars',
7,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.usenix.org/events/usenix99/full_papers/millert/millert_html/',
'strlcat and strlcat : consistent, safe, string copy and concatenation',
'Todd C. Miller',
7,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www-ra.informatik.uni-tuebingen.de/SNNS/UserManual/UserManual.html',
'Stuttgart Neural Network Simulator User Manual',
'IPVR',
7,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://lsd-pl.net/asmcodes.html',
'Unix Assembly Codes Development for Vulnerabilities Illustration Purpose',
'Last Stage of Delirium',
7,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.cs.berkeley.edu/~daw/papers/overruns-ndss00-slides.ps',
'First Step Towards Automated Detection of Buffer Overrun Vulnerabilities',
'David Wagner',
7,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.cs.berkeley.edu/~daw/papers/fmtstr-use01.pdf',
'Detecting Format String Vulnerabilities with Type Qualifiers',
'David Wagner',
7,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://lcamtuf.coredump.cx/NNnight/',
'Artificial Consciousness: Neural Networks Revised',
'Michal Zalewski',
7,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://linuxassembly.org/linasm.html',
'Using Assembly Language in Linux',
'phillip',
7,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'',
'The Design and Implementation of the 4.4BSD Unix Operating System',
'Kirk McKusick, Keith Bostic, Michael J. Karels et John S. Quarterman',
7,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'',
'4.4BSD Programmer\'s Reference Manual',
'CSRG UC Berkeley',
7,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'',
'Introduction to Algorithms, Second Edition',
'Charles E. Leiserson et Ronald L. Rivest',
7,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'',
'Pattern Matching Algorithms',
'Apostolico et Galil',
7,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'',
'Algorithms on Strings, Trees and Sequences',
'Dan Gusfield',
7,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.nist.gov/dads/',
'Dictionary of Algorithms and Data Structures',
'NIST',
7,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.acm.org/classics/sep95/',
'Reflections on Trusting Trust',
'Ken Thompson',
7,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.dwheeler.com/secure-programs/Secure-Programs-HOWTO/book1.html',
'Secure Programming for Linux and Unix HOWTO',
'David A. Wheeler',
7,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://state-threads.sourceforge.net/docs/st.html',
'State Threads for Internet Applications',
'Gene Shekhtman et Mike Abbott',
7,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://people.freebsd.org/~jlemon/kqueue.pdf',
'Kqueue : A generic and scalable event notification facility',
'Jonathan Lemon',
7,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.dontveter.com/bpr/bpr.html',
'Backpropagator\'s Review',
'Donald R. Tveter',
7,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.8ung.at/shell/hhg.html',
'Hurd Hacking Guide',
'Wolfgang Jhrling',
7,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://agt.buka.org/AgtDoc.txt',
'Argante',
'Michal Zalewksi',
7,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.hsc.fr/ressources/breves/pcap.html',
'Introduction la Libpcap',
'Frdric Lavcot',
6,
1);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.hsc.fr/ressources/breves/libnids.html',
'Introduction  Libnids',
'Frdric Lavcot',
6,
1);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'',
'IPv6, Thorie et Pratique',
'Gisle Cizault',
6,
1);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://yenigul.net/tcpip/',
'TCP/IP Illustrated, Volume 1 The Protocols',
'Richard Stevens',
6,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.oreillynet.com/pub/a/network/2001/03/16/net_2nd_lang.html',
'Basics of Network Segmentation : Switching and Bridging',
'Michael Norton',
6,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.robertgraham.com/pubs/sniffing-faq.html',
'Sniffing (Network wiretrap, sniffer) FAQ',
'Robert Graham',
6,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.sans.org/infosecFAQ/switchednet/sniffers.htm',
'Sniffers: What are they and How to Protect From Them',
'Jason Drury',
6,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://project.honeynet.org/papers/finger/',
'Know Your Ennemy: Passive Fingerprinting',
'Lance Spitzner',
6,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.incidents.org/papers/OSfingerprinting.php',
'Passive OS Fingerprinting : Details and Techniques',
'Toby Miller',
6,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://razor.bindview.com/publish/papers/tcpseq.html',
'Strange Attractors and TCP/IP Sequence Number Analysis',
'Michal Zalewski',
6,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.switch.ch/docs/ttl_default.html',
'Default TTL Values in TCP/IP',
'SWITCH',
6,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.secsup.org/Tracking/',
'BlackHole Route Server and Tracking Trafic on an IP Network',
'Chris Morrow',
6,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://cr.yp.to/syncookies.html',
'Syn Cookies',
'D.J. Bernstein',
6,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.ietf.org/rfc/rfc2960.txt',
'RFC 2960 : Stream Control Transmission Protocol',
'IETF',
6,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.ietf.org/rfc/rfc2581.txt',
'RFC 2581 : TCP Congestion Control',
'IETF',
6,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.ietf.org/rfc/rfc2001.txt',
'RFC 2001 : TCP Slow Start, Congestion Avoidance, Fast Retransmit, and Fast Recovery Algorithms',
'IETF',
6,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.ietf.org/rfc/rfc3168.txt',
'RFC 3168 : The Addition of Explicit Congestion Notification (ECN) to IP',
'IETF',
6,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.ietf.org/rfc/rfc1858.txt',
'RFC 1858 : Security Considerations for IP Fragment Filtering',
'IETF',
6,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.ietf.org/rfc/rfc1948.txt',
'RFC 1948 : Defending Against Sequence Number Attacks',
'IETF',
6,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.ietf.org/rfc/rfc815.txt',
'RFC 815 : IP Datagram Reassembly Algorithms',
'IETF',
6,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.ietf.org/rfc/rfc1122.txt',
'RFC 1122 : Requirements for Internet Hosts -- Communication Layers',
'IETF',
6,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.ietf.org/rfc/rfc813.txt',
'RFC 813 : Windows and Acknowledgment Strategy in TCP',
'IETF',
6,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.ietf.org/rfc/rfc1323.txt',
'RFC 1323 : TCP Extensions for High Performance',
'IETF',
6,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.ietf.org/rfc/rfc2018.txt',
'RFC 2018 : TCP Selective Acknowledgment Options',
'IETF',
6,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.ietf.org/rfc/rfc1191.txt',
'RFC 1191 : Path MTU Discovery',
'IETF',
6,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.securite.org/presentations/secip/',
'Protection de l\'infrastructure rseau IP en environnement Cisco',
'Nicolas Fischbach et Sebastien Lacoste-Seris',
6,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.psionic.com/papers/covert/covert.tcp.tar.gz',
'Covert Channel in the TCP/IP Protocol Suite',
'Craig Rowland',
6,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.sans.org/infosecFAQ/covertchannels/covert_shells.htm',
'Covert Shells',
'Christian Smith',
6,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.ntsecurity.nu/papers/acktunneling/',
'ACK Tunneling Trojan',
'Arne Vidstorm',
6,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.phrack.com/show.php?p=49&a=6',
'Project Loki: ICMP Tunnelling',
'daemon9',
6,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.sans.org/infosecFAQ/threats/frag_attacks.htm',
'An Analysis of Fragmentation Attack',
'Jason Anderson',
6,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://phrack.org/show.php?p=57&a=7',
'ICMP based remote OS TCP/IP stack fingerprinting techniques',
'Ofir Arkin & Fyodor Yarochkin',
6,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.netw3.com/documents/Protecting_Network_Infrastructure.htm',
'Protecting Network Infrastructure',
'Curt Wilson',
6,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.csl.sony.co.jp/person/kjc/software/TIPS.txt',
'ALTQ Tips',
'Kenjiro Cho',
6,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.employees.org/~bmah/Talks/pchar-ISMA.pdf',
'Estimating Bandwidth and Other Network Properties',
'Bruce A. Mah',
6,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://luxik.cdi.cz/~devik/qos/htb/',
'HTB Linux queuing discipline manual',
'Martin Devera aka devik',
6,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.phrack.org/show.php?p=53&a=5',
'An Overview of Internet Routing',
'krnl',
6,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.isaac.cs.berkeley.edu/isaac/wep-faq.html',
'Security of the WEP algorithm',
'Nikita Borisov, Ian Goldberg et David Wagner',
6,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.cs.umd.edu/~waa/1x.pdf',
'An Initial Security Analysis of the IEEE 802.1X Protocol',
'William Arbaugh et Arunesh Mishra',
6,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.ietf.org/internet-drafts/draft-ietf-mobileip-mipv6-scrty-reqts-02.txt',
'Threat Models introduced by Mobile IPv6 and Requirements for Security in Mobile IPv6',
'IETF MobileIP WG',
6,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.cisco.com/univercd/cc/td/doc/product/software/ios122/122cgcr/fsecur_c/index.htm',
'Cisco IOS Security Configuration Guide, Release 12.2',
'Cisco',
6,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.linuxhq.com/kernel/v2.4/doc/networking/ip-sysctl.txt.html',
'/proc/sys/net/ipv4/* Variables',
'Alexey Kuznetsov',
6,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://citeseer.nj.nec.com/smith96securing.html',
'Securing the Border Gateway Routing Protocol',
'Bradley R. Smith',
6,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://cacr.math.uwaterloo.ca/hac/',
'Handbook of Applied Cryptography',
'Alfred J. Menezes',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'',
'Practical UNIX and Internet Security',
'Simson Garfinkel',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.wilyhacker.com/',
'Firewalls and Internet Security',
'William Cheswick and Steve Bellovin',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'',
'Building and Managing Virtual Private Network',
'Dave Kosiur',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'',
'Virtual Private Networks : Technologies and Solutions',
'Ruixi Yuan',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'',
'Scuriser ses changes lectroniques avec une PKI',
'Laurent Bellefin and Thierry Autret',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'',
'La Signature lectronique',
'Arnaud F. Fausse',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://members.prestige.net/tmiller12/papers/lkm.htm',
'Detecting Loadable Kernel Modules',
'Toby Miller',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.aciri.org/vern/papers/backdoor/index.html',
'Detecting Backdoors',
'Yin Zhang',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.hert.org/papers/klog-2.html',
'Backdooring Binary Object',
'Klog',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://bugtraq.inet-one.com/dir.1997-08/msg00091.html',
'Backdoors',
'Christopher Klaus',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.radium.ncsc.mil/tpep/library/rainbow/NCSC-TG-030.html',
'A Guide to Understanding Covert Channel Analysis of Trusted Systems',
'National Computer Security Center',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://os.inf.tu-dresden.de/~westfeld/publikationen/ihw99.pdf',
'Attacks on Steganographic Systems',
'Andreas Westfeld and Andreas Pfitzmann',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://phrack.org/show.php?p=43&a=14',
'Playing Hide and Seek, Unix Style',
'Phreak Accident',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.big.net.au/~silvio/runtime-kernel-kmem-patching.txt',
'Runtime Kernel Kmem Patch',
'Silvio Cesare',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.big.net.au/~silvio/kernel-hijack.txt',
'Kernel Function Hijacking',
'Silvio Cesare',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.big.net.au/~silvio/lib-redirection.txt',
'Shared Library Call Redirection using ELF PLT Infection',
'Silvio Cesare',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.muppetlabs.com/~breadbox/software/ELF.txt',
'Executable and Linkable Format Specifications',
'Brian Raiter',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.hert.org/papers/awr-1.html',
'Dynamic Kernel Linker (KLD) Facility Programming Tutorial',
'Andrew Reiter',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.linuxdoc.org/LDP/lkmpg/mpg.html',
'Linux Kernel Module Programming Guide',
'Ori Pomerantz',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.thehackerschoice.com/papers/LKM_HACKING.html',
'(nearly) Complete Linux Loadable Kernel Modules',
'pragmatic',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.w00w00.org/files/articles/lkmhack.txt',
'Kernel hacking made easy',
'Nicolas Dubee',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.softpanorama.org/Security/integrity_checkers.shtml',
'Fighting Rootkit and Similar Trojans: Integrity Checkers and Trojan detectors',
'Softpanorama University',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://staff.washington.edu/dittrich/misc/faqs/rootkits.faq',
'Root Kits and hiding files/directories/processes after a break-in',
'Dittrich',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://packetstormsecurity.com/groups/thc/slkm-1.0.html',
'Solaris Loadable Kernel Modules',
'Plasmoid',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://packetstormsecurity.com/papers/unix/bsdkern.htm',
'Attacking FreeBSD with Kernel Modules',
'Pragmatic',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'',
'Fun and Games with FreeBSD Kernel Modules',
'Stephanie Wehner',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.big.net.au/~silvio/stealth-syscall.txt',
'Syscall Redirection without Modifying the Syscall Table',
'Silvio Cesare',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.cerias.purdue.edu/homes/spaf/tech-reps/gkim',
'Monitoring File System Integrity with Tripwire',
'Gene Kim',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.antioffline.com/deviation/ind.html',
'Deviation',
'AntiOffline',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'',
'Understanding the Linux Kernel',
'Daniel Bovet',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://razor.bindview.com/publish/papers/signals.txt',
'Delivering Signals for Fun and Profit',
'Michael Zalewski',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'',
'Network Intrusion Detection : An Analyst\'s Handbook 2E',
'Stephen Northcutt',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'',
'Intrusion Signatures and Analysis',
'Stephen Northcutt',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'',
'Intrusion Detection',
'Rebecca Gurley Bace',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'',
'Intrusion Detection : An Introduction to Internet Surveillance, Correlation, Trace Back, Traps, and Response',
'Edward G. Amoroso',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.raptor.com/lib/ncsc.ps',
'A Pattern Matching Model for Misuse Intrusion Detection',
'COAST/Purdue University',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.raptor.com/lib/9413.ps',
'An Application of Pattern Matching in Intrusion Detection',
'COAST/Purdue University',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://eleves.mines.u-nancy.fr/~huin/fake/filtres.html',
'Pattern Matching et Dtection d\'Intrusion',
'Matthieu Huin',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.cs.umbc.edu/cadip/docs/NetworkIntrusion/tr9805.ps',
'An Architecture for Intrusion Detecion using Autonomous Agents',
'COAST/Purdue University',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.cerias.purdue.edu/ssl/techreports-ssl/public/98-10.ps',
'Identification of Host Audit Data to Detect Attacks on Low-Level IP Vulnerabilities',
'COAST/Purdue University',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.sdl.sri.com/nides/reports/9sri.pdf',
'A Real-Time Intrusion Detection Expert System (IDES)',
'SRI',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.sdl.sri.com/papers/4sri/',
'Next Generation Intrusion Detection Expert System, A Summary',
'SRI',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://purcell.ecn.purdue.edu/~terran/facts/pubs/aaai97-ws.ps',
'Sequence Matching and Learning in Anomaly Detection for Computer Security',
'Purdue University',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://seclab.cs.ucdavis.edu/papers/kfl94.',
'Automated Detection of Vulnerabilities in Priviliged Programs by Monitoring',
'University of California',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.allaire.com/DocumentCenter/Partners/ASZ_ASWPS_Detecting_Intrusions.pdf',
'Detecting Intrusions : Methods of detecting intrusion attempts and security breaches',
'Allaire Security',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.cs.columbia.edu/~ezk/research/binaryeval/',
'Data Mining Methods for Detection of New Malicious Executables',
'Columbia University',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://download.nai.com/products/media/pgp/pdf/DISCEX-IDR-Infrastructure.pdf',
'Infrastructure for Intrusion Detection and Response',
'NAI',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.phrack.com/show.php?p=54&a=10',
'Defeating Sniffers and Intrusion Detection Systems',
'Horizon',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.cs.columbia.edu/ids/concept/',
'Real-Time Data Mining-based Intrusion Detection',
'Columbia University',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.ietf.org/internet-drafts/draft-ietf-idwg-requirements-06.txt',
'Intrusion Detection Message Exchange Requirements',
'IETF Intrusion Detection Working Group',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://project.honeynet.org/papers/honeynet/',
'Know Your Ennemy; Honeynets',
'Lance Spitzner',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.enteract.com/~lspitz/honeypot.html',
'Honeypots: Definitions and Value of Honeypots',
'Lance Spitzner',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.securityfocus.com/infocus/1506',
'Virtual Honeynets',
'Michael Clark',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.securitywriters.org/texts/internet%20security/Virtual_HoneyNet.php',
'Creating a Virtual HoneyNet January',
'etsh_cucu',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.sans.org/infosecFAQ/intrusion/honeypots.htm',
'Honeypots and Intrusion Detection',
'David Klug',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.ists.dartmouth.edu/IRIA/knowledge_base/honeynets.htm',
'Honeynets',
'Chris Brenton',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.synnergy.net/downloads/papers/host-detection.txt',
'Advanced Host Detection : Techniques To Validate Host-Connectivity',
'dethy',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.pgp.com/research/nailabs/ia-architecture/demonstration.asp',
'Intrusion Detection Inter-compoment Adaptive Negociation',
'University of California',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.enteract.com/~lspitz/ids.html',
'Intrusion Detection: Knowing when someone is knocking on your door',
'Lance Spitzner',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://lib-www.lanl.gov/la-pubs/00416750.pdf',
'Intrusion Detection System Product Survey',
'Kathleen Jackson',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://secinf.net/info/ids/idspaper/idspaper.html',
'Insertion, Evasion and Denial of Service : Eluding Network Intrusion Detection',
'Thomas Ptacek / Tim Newsham',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.zeltser.com/sans/idic-practical/',
'ID Pratical Assignment',
'Lenny Zeltser',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.guill.net/reseaux/Articles.html',
'Synthse d\'Articles de Recherche sur la dtection d\'intrusions',
'Guill.net',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.cs.nps.navy.mil/people/faculty/rowe/c4i00a.htm',
'Distributed Intrusion Detection for Computer Systems Using Communicating Agents',
'Dennis Ingram / Neil Rowe',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.cs.nps.navy.mil/people/faculty/rowe/ingramthesis.htm',
'Autonomous Agents for Distributed Intrusion Detection in a Multi-Host Environment',
'Dennis Ingram',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.cs.nps.navy.mil/people/faculty/rowe/barruspap.html',
'A Distributed Autonomous-Agent Network-Intrusion Detection and Response System',
'Joseph Barrus',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.robertgraham.com/pubs/network-intrusion-detection.html',
'FAQ: Network Intrusion Detection Systems',
'Robert Graham',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.phrack.Com/show.php?p=53&a=10',
'Interface Promiscuity Obscurity',
'Apk',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.sans.org/infosecFAQ/covertchannels/sniffer.htm',
'Sniffer Detection Tools and Countermeasures',
'James Downey',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.sans.org/infosecFAQ/intrusion/IDS_sensors.htm',
'Evading Passive Sniffer Detection with IDS Sensor',
'Bryan Brant',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.sans.org/newlook/resources/IDFAQ/ID_FAQ.htm',
'Intrusion Detection FAQ',
'SANS Institute',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.cs.columbia.edu/~sal/hpapers/DMKDJ.ps.gz',
'Mining in a Data Flow Environment : Experience in Network Intrusion Detection',
'Columbia University',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.cs.columbia.edu/~sal/hpapers/USENIX/usenix.html',
'Data Mining Approaches for Intrusion Detection',
'Columbia University',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.wiretrip.net/rfp/pages/whitepapers/whiskerids.html',
'A look at whisker\'s anti-IDS tactics',
'Rain Forest Puppy',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.cs.columbia.edu/~sal/hpapers/framework.ps.gz',
'A Data Mining Framework for Adaptive Intrusion Detection',
'Columbia University',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.imfgroup.com/docs/intrmgmt.htm',
'Managing Intrusions',
'Peter Stephenson',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.robertgraham.com/slides/0103cansec/0103cansec.ppt',
'IDS Evasion vs Protocole Analysis',
'Robert Graham',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.all.net/journal/ntb/ids.html',
'Intrusion Detection and Response',
'Livermore National Laboratory',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://snortnet.scorpions.net/snortnet.ps',
'SnortNet - A Distributed Intrusion Detection System',
'Fyodor Yarochkin',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.media.mit.edu/~sibyl/projects/apt/iui2001_profile.pdf',
'Intelligent Profiling by Example',
'Sybil Shearin',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.aciri.org/vern/papers/norm-usenix-sec-01-html/index.html',
'Network Intrusion Detection : Evasion, Traffic Normalization, and End-to-End Protocol Semantics',
'Vern Paxson',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.packetnexus.com/idsfaq/',
'Focus IDS FAQ',
'PacketNexus',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.mcg.org.br/cert.htm',
'Overview of Certification Systems : X.509, CA, PGP and SKIP',
'Edgardo Gerck',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://ospkibook.sourceforge.net/',
'The Open Source PKI Book',
'OpenCA Team',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.linuxdoc.org/HOWTO/VPN-HOWTO.html',
'VPN HowTo',
'Matthew Wilson',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://kubarb.phsx.ukans.edu/~tbird/vpn/FAQ.html',
'Virtual Private Networks / Frequently Asked Questions',
'Tina Bird',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.sans.org/infosecFAQ/threats/buffer_overflow.htm',
'Buffer Overflow : Why, How and Prevention',
'Nicole Decker',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.mcs.csuhayward.edu/~simon/security/boflo.html',
'A Comparative Analysis of Methods of Defense against Buffer Overflow Attacks',
'Istvan Simon',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.cultdeadcow.com/cDc_files/cDc-351/',
'The Tao of Windows Buffer Overflow',
'DilDog',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://phrack.org/show.php?p=55&a=15',
'Win32 Buffer Overflow',
'Dark Spyrit',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://phrack.org/show.php?p=49&a=14',
'Smashing the Stack for Fun and Profit',
'Aleph1',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://phrack.org/show.php?p=55&a=8',
'Frame Pointer Overwriting',
'Klog',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://phrack.org/show.php?p=56&a=8',
'Smashing C++ VPTRs',
'Rix',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://mixter.void.ru/exploit.txt',
'Writing buffer overflow exploits: a tutorial for beginners',
'Mixter',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.synnergy.net/downloads/papers/htce.txt',
'How To Code Stack Based Exploits',
'Dethy',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.insecure.org/stf/mudge_buffer_overflow_tutorial.html',
'How To Write Buffer Overflow',
'Mudge',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.w00w00.org/files/articles/heaptut.txt',
'w00w00 on Heap Overflow',
'Shok',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://phrack.org/show.php?p=57&a=8',
'Vudo: An object superstitiously believed to embody magical powers',
'Michel MaXX Kaempf',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.phrack.org/show.php?p=57&a=9',
'Once upon a free()...',
'anonymous',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.immunix.org/StackGuard/discex00.pdf',
'Buffer Overflows :&nbsp;Attacks and Defenses for the Vulnerability of the Decade',
'Crispin Cowan',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www-rocq.inria.fr/~raynal/LinuxMag/SecProg/Art3/index-fr.html',
'Secure Programming: Buffer Overflow',
'Frederic Raynal, Christophe Blaess et Christophe Grenier',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'https://arachnide.devhell.2y.net/~rix/texts/stckover.txt',
'Buffer Overflow : le retour',
'Rix',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.daemonnews.org/200102/armoring.html',
'Armoring FreeBSD',
'Markus Delves',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.freebsdzine.org/attic/199901/firewalls.txt',
'Firewall: An Overview',
'Dan Langille',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.daemonnews.org/200103/ipf_bridge.html',
'OpenBSD bridge without IPs using IPF Tutorial',
'Doug Hogan',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.free-x.ch/pub/FreeBSD-IPFILTER.html',
'How to Build a FreeBSD-STABLE Firewall with IPFILTER',
'Marty Schlacter',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.free-x.ch/pub/ipf-conf-en.html',
'Configuration of IPFilter on FreeBSD',
'Georg Wagner',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.obfuscation.org/ipf/ipf-howto.txt',
'IP Filter Based Firewalls Howto',
'Brendan Conoboy',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://packetstormsecurity.com/papers/firewall/firewall_bsd.txt',
'Setting up a FreeBSD Firewall using ipfw',
'Larry Cashdollar',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.bsdtoday.com/2000/May/Features165.html',
'Running a BSD-based Firewall',
'Jim O\'Gorman',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.free-x.ch/pub/mtree-tripwire.html',
'mtree : a built-in tripwire',
'Georg Wagner',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.onlamp.com/pub/a/bsd/2001/02/07/FreeBSD_Basics.html',
'Securing BSD Daemons',
'Dru Lavigne',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.freebsdzine.org/attic/199905/security.txt',
'Advantage of tcp_wrappers',
'Dan Langille',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://people.freebsd.org/~jkb/howto.html',
'FreeBSD Security Howto',
'jkb',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.ddj.com/articles/2001/0104/0104f/0104f.htm',
'Being Prepared for Intrusion',
'Dan Farmer et Wietse Venema',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.cs.berkeley.edu/~nweaver/warhol.html',
'Warhol Worms : The Potential for Very Fast Internet Plagues',
'Nicholas C. Weaver',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.idealx.org/fr/doc/support-cours-8/support-cours-8.html',
'Linux et sa Scurit',
'idealx',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.cert.org/tech_tips/usc20_full.html',
'UNIX Security Checklist v2.0',
'CERT/CC et AusCERT',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www-cse.ucsd.edu/users/mihir/papers/hmac.html',
'HMAC Papers',
'Misc',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'ftp://ftp.guardian.no/pub/free/linux/capabilities/capfaq.txt',
'Linux Capabilities FAQ 0.2',
'?',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://wt.xpilot.org/publications/posix.1e/',
'Summary about POSIX.1e/2c',
'IEEE',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.aciri.org/vern/papers/bro-CN99.html',
'Bro : A System for Detecting Network Intruders in Real-Time',
'Vern Paxson',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://eleves.mines.u-nancy.fr/~huin/fake/filtres.html',
'Pattern Matching et Detection d\'Intrusion',
'Matthieu Huin',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'',
'Computer Forensics : Incident Response Essentials',
'Warren Kruse et Jay G. Heiser',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'',
'Incident Response : Investigating Computer Crime',
'Chris Prosise et Kevin Mandia',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'',
'Unix Backup and Recovery',
'W. Curtis Preston',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'',
'Computer Intrusion Detection and Network Monitoring',
'Marchette',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'',
'Computer Security Incident Handling Step By Step Guide',
'Stephen Northcutt',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://securityfocus.com/infocus/1539',
'Linux Kernel Hardening',
'Anton Chuvakin',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://world.std.com/~dtd/sign_encrypt/sign_encrypt7.html',
'Defective Sign and Encrypt in S/MIME, PKCS#7, MOSS, PEM, PGP, and XML',
'Don Davis',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://security-archive.merton.ox.ac.uk/bugtraq-200012/0500.html',
'Exploiting Kernel Buffer Overflows FreeBSD Style',
'Esa Etelavuori',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.codetalker.com/whitepapers/other/bsd-immute.html',
'Vulnerability in 4.4BSD Secure Levels Implementation',
'Niall Smart',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.epcc.ed.ac.uk/t3d/documents/techreports/EPCC-TR96-04/RNG-review.book_1.html',
'Parallel random number generators',
'Stephen Booth',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.openbsd.org/slides/musess_2002/',
'Fix The Bugs, Secure The System',
'Louis Bertrand',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://online.securityfocus.com/infocus/1524',
'Network Intrusion Detection Signatures, Part One',
'Karen Frederick',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://online.securityfocus.com/infocus/1534',
'Network Intrusion Detection Signatures, Part Two',
'Karen Frederick',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://online.securityfocus.com/infocus/1544',
'Network Intrusion Detection Signatures, Part Three',
'Karen Frederick',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://online.securityfocus.com/infocus/1553',
'Network Intrusion Detection Signatures, Part Four',
'Karen Frederick',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://online.securityfocus.com/infocus/1569',
'Network Intrusion Detection Signatures, Part Five',
'Karen Frederick',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://white.stanford.edu/~heeger/sdt/sdt.html',
'The Signal Detection Theory',
'David Heeger',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.epita.fr:8000/~lse/projects/stealth_shellcodes/',
'Polymorphisme et Camouflage de Shellcodes',
'Julien Olivain',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.enseirb.fr/~glaume/bof/',
'A Buffer Overflow Study Attacks & Defenses',
'Vincent Glaume & Pierre-Alain Fayolle',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://rr.sans.org/intrusion/interop.php',
'Intrusion Detection Interoperability and Standardization',
'Pravin Kothari',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://xxx.lanl.gov/abs/cond-mat/0203011',
'Interacting Neural Networks and Cryptography',
'Wolfgang Kinzel and Ido Kanter',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.codeguru.com/dll/LoadDll.shtml',
'Injecting a DLL into Another Process\'s Address Space',
'Zoltan Csizmadia',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.codeguru.com/dll/apihijack.shtml',
'APIHijack : A Library for Easy DLL Function Hooking',
'Wade Brainerd',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.monkey.org/~dugsong/talks/csw02/',
'Fragroute : NIDS Testing Revisited',
'Dug Song',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.u-n-f.com/papers/terminated_buffers.html',
'Exploiting none terminated buffers',
'pr1',
5,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://bastien1.free.fr/ILL.html',
'Logiciel Libre et Innovation Technique',
'Bastien Guerry',
4,
1);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.freescape.eu.org/eclat/2partie/Blondeau/blondeau.html',
'Gense et Subversion du Capitalisme Informationnel',
'Olivier Blondeau',
4,
1);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.monde-diplomatique.fr/1997/02/QUEAU/7750.html',
'Offensive Insidieuse contre le Droit Public  l\'Information',
'Philippe Quau',
4,
1);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.april.org/articles/divers/intro_ll.html',
'Logiciels Libres, une introduction',
'Benjamin Drieu',
4,
1);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.minirezo.net/article109.html',
'Breveter l\'Oeuf pour Empcher la Poule de Pondre',
'Sbastien Canevet',
4,
1);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.unesco.org/webworld/telematics/queauifla.htm',
'Vers un domaine public mondial de l\'information',
'Philippe Queau',
4,
1);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.freescape.eu.org/eclat/1partie/Sterling/sterlingtxt.html',
'Libre comme l\'eau, l\'air, le savoir',
'Bruce Sterling',
4,
1);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://shalmaneser.sortilege.org/cndp/',
'Logiciel Libre pour l\'enseignement',
'Centre National de Documentation Pdagogique',
4,
1);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.ofset.org/information/papers/free-software-and-education-fr.html',
'La Classe, le Gnou et le Pingouin',
'OFSET',
4,
1);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://europa.eu.int/eur-lex/fr/lif/dat/1991/fr_391L0250.html',
'Directive 91/250/CEE du Conseil, du 14 mai 1991, concernant la protection juridique des programmes d\'ordinateur',
'',
4,
1);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.intrinsec.com/juridique/fraude_info.htm',
'Loi 88-19 du 5 janvier 1988 relative  la fraude informatique',
'',
4,
1);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.intrinsec.com/juridique/info_liberte.htm',
'Loi 78-17 du 6 janvier 1978 relative aux fichiers nominatifs informatiques',
'',
4,
1);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.intrinsec.com/juridique/protection_log.htm',
'Loi du 10 mai 1994 relative  la protection des logiciels',
'',
4,
1);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.intrinsec.com/juridique/cryptologie.htm',
'Loi 90-1170 relative  la cryptologie',
'',
4,
1);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.technodemocracy.org/people/tgw/docs/ossfs.html',
'Introduction to Open Source and Free Software',
'Thom Wysong',
4,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.loebner.net/Prizef/TuringArticle.html',
'Computing Machinery and Intelligence',
'A. M. Turing',
4,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://perens.com/Articles/Patents.html',
'Software Patents vs Free Software',
'Bruce Perens',
4,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.sans.org/infosecFAQ/legal/ethics.htm',
'Ethics and Legalities : What\'s the difference ?',
'Sean Morgan',
4,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.tmn.com/~lisa/vteams-toronto.htm',
'Managing Virtual Teams',
'Lisa Kimball',
4,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://perens.com/Articles/Patents.html',
'Software Patents vs Free Software',
'Bruce Perens',
4,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://tuxedo.org/~esr/writings/cathedral-bazaar/cathedral-bazaar/',
'The Cathedral and the Bazaar',
'Eric Raymond',
4,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://tuxedo.org/~esr/writings/cathedral-bazaar/homesteading/',
'Homesteading the Noosphere',
'Eric Raymond',
4,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://tuxedo.org/~esr/writings/magic-cauldron/magic-cauldron.html',
'The Magic Cauldron',
'Eric Raymond',
4,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.slip.net/~knabb/SI/contents.htm',
'Situationist International Anthology',
'Ken Knabb',
4,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.hackerethick.org/',
'The Hacker Ethic and the Spirit of the Information Age',
'Pekka Himanen ',
4,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'',
'The Future of Ideas',
'<a href="http://lessig.org">Lawrence Lessig</a>',
4,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.softpanorama.org/Copyright/License_classification/',
'BSD vs. GPL : A Framework for the Social Analysis',
'Dr. Nikolai Bezroukov',
4,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.nessus.org',
'Nessus',
'',
3,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.snort.org',
'Snort',
'',
3,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.tcpdump.org',
'TCPdump',
'',
3,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.psionic.com/abacus',
'Abacus Project',
'',
3,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.insecure.org/nmap/index.html',
'The Network MAPper (NMAP)',
'',
3,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.wwdsi.com/saint/',
'Security Administrator\'s Integreted Network Tool (SAINT)',
'',
3,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://naughty.monkey.org/~dugsong/dsniff/',
'DSniff',
'',
3,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://ethereal.zing.org/',
'Ethereal',
'',
3,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.tripwire.org/',
'TripWire Open Source Project',
'',
3,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.cs.tut.fi/~rammer/aide.html',
'Advanced Intrusion Detection Environment (AIDE)',
'',
3,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.freeveracity.org/',
'FreeVeracity',
'',
3,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.chkrootkit.org/',
'Chkrootkit',
'',
3,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.packetfactory.net/Projects/Firewalk/',
'Firewalk',
'',
3,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www-arc.com/sara/',
'Security Auditor\'s Research Assistant (SARA)',
'',
3,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.kyuzz.org/antirez/hping.html',
'Hping',
'',
3,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.openwall.com/Owl/',
'Owl',
'',
3,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://lin.fsid.cvut.cz/~kra/index.html#HUNT',
'HUNT',
'',
3,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.openssh.org/',
'OpenSSH',
'',
3,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.openbsd.org/',
'OpenBSD',
'',
3,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.trustedbsd.org/',
'TrustedBSD',
'',
3,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://http://opensource.nailabs.com/initiatives/cboss/',
'Community-Based Open Source Security (CBOSS)',
'',
3,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.trinux.org/',
'Trinux',
'',
3,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.stanford.edu/~atkins/swatch/',
'The Simple WATCHer (SWATCH)',
'',
3,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.gnupg.org/',
'The GNU Privacy Guard (GPG)',
'',
3,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.stunnel.org/',
'STunnel',
'',
3,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.openssl.org/',
'OpenSSL',
'',
3,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.mozilla.org/projects/security/pki/nss/',
'Network Security Services',
'',
3,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://all.net/dtk',
'Deception Toolkit',
'',
3,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://cve.mitre.org/',
'Common Vulnerabilities and Exposures',
'',
3,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://project.honeynet.org/',
'The HoneyNet Project',
'',
3,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.iu.hio.no/cfengine/',
'CFEngine',
'',
3,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.silicondefense.com/idwg/libidmef/',
'libidmef',
'',
3,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.porcupine.org/forensics/tct.html',
'The Coroner Toolkit',
'',
3,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.whitehats.com/ids/index.html',
'advanced reference archive of current heuristics for Network Intrusion Detection Systems (arachNIDS)',
'',
3,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.jedi.claranet.fr/',
'G2S',
'',
3,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.mountlinux.com/olympus/',
'Olympus',
'',
3,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.webmin.com/webmin',
'Webmin',
'',
3,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.freeswan.org',
'FreeS/WAN',
'',
3,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.kame.net/',
'KAME',
'',
3,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.fish.com/~brad/titan/Titan-Docs/index.html',
'Titan',
'',
3,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://openca.sourceforge.net',
'OpenCA',
'',
3,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://sunsite.ics.forth.gr/sunsite/net_tools/tiger/TAMU/',
'Tiger',
'',
3,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www-1.ibm.com/servers/eserver/introducing/eliza/',
'eLiza',
'',
3,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.lids.org',
'LIDS',
'',
3,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://sourceforge.net/projects/stjude/',
'Saint Jude',
'',
3,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://immunix.org/stackguard.html',
'StackGuard',
'',
3,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://immunix.org/formatguard.html',
'FormatGuard',
'',
3,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.research.avayalabs.com/project/libsafe/',
'LibSafe',
'',
3,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.packetfactory.net/Projects/ISIC/',
'IP Stack Integrity Checker (ISIC)',
'',
3,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.linux-mandrake.com/prelude/',
'Prelude',
'',
3,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.bastille-linux.org',
'Bastille Linux',
'',
3,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.ietf.org/html.charters/syslog-charter.html',
'Security Issue in Network Event Logging',
'',
3,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.tenebrous.com/rain/',
'Rain',
'',
3,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.outguess.org/',
'OutGuess',
'',
3,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.simon.org.ua/ipa/',
'IPA',
'',
3,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://hts.dshield.org/LaBrea/',
'LaBrea',
'',
3,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://la-samhna.de/samhain/',
'Samhain',
'',
3,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.waste.org/~terje/palm/SMSspoof/',
'SMS spoof',
'',
3,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.packetninja.net/iv.html',
'IntraVenous',
'',
3,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.eecs.harvard.edu/~stein/wafs/',
'Write-Ahead File System (WAFS)',
'',
3,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.ebotashop.org',
'ebota shop',
'',
3,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.lids.org',
'Linux Intrusion Detection System (LIDS)',
'',
3,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.cs.pdx.edu/research/SMN/',
'Secure Mobile Networking Project',
'',
3,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.sardonix.org',
'Sardonix',
'',
3,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.freebsd.org/auditors.html',
'FreeBSD Source Auditing Project',
'',
3,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.cs.berkeley.edu/~weimer/osq/',
'Open Source Quality (OPQ)',
'',
3,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.citi.umich.edu/u/provos/honeyd/',
'HoneyD',
'',
3,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://openpam.sourceforge.net/',
'OpenPAM',
'',
3,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://people.freebsd.org/~mike/c99/',
'FreeBSD C99 and POSIX Conformance Project',
'',
3,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.monkey.org/~provos/libevent/',
'libevent',
'',
3,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.monkey.org/~dugsong/fragroute',
'fragroute',
'',
3,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.spamassassin.org/',
'spamassassin',
'',
3,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://lcamtuf.coredump.cx/fenris/',
'Fenris',
'',
3,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://bird.network.cz/',
'BIRD',
'',
3,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://hte.sourceforge.net/',
'HT Editor',
'',
3,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://fabrice.bellard.free.fr/tcc/',
'TinyCC',
'',
3,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.stearns.org/p0f/',
'p0f',
'',
3,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.securite.org',
'Securite.org',
'',
2,
1);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.ouah.org',
'OUAH',
'',
2,
1);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.hsc.fr/ressources/breves/',
'HSC Security Tips',
'',
2,
1);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.infosyssec.com/',
'InfoSysSec',
'',
2,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.packetstormsecurity.com',
'Packet Storm',
'',
2,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://citeseer.nj.nec.com/cs',
'ResearchIndex : The NECi Scientific Literature Digital Library',
'',
2,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.tscm.com/',
'Granite Island Group TSCM',
'',
2,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.iol.unh.edu/training/index.html',
'InterOperability Lab : Tutorials',
'',
2,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.whitehats.com/',
'WhiteHats',
'',
2,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.eff.org/archives.html',
'EFF Archives',
'',
2,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.cisco.com/univercd/cc/td/doc/cisintwk/ito_doc/index.htm',
'Cisco\'s Internetworking Technology Overview',
'',
2,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.silicondefense.com/research/itrex/archive/tracing-papers/',
'Silicon Defense\'s Traceback and Related Papers Archive',
'',
2,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.hsc.fr',
'Herv Schauer Consultants',
'',
1,
1);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.projet7.org',
'Projet7',
'',
1,
1);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://kernhell.org',
'HELL',
'',
1,
1);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.epita.fr/~lse/',
'LSE',
'',
1,
1);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'https://devhell.org',
'DevHell',
'',
1,
1);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.subk.org/',
'subk',
'',
1,
1);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://afturgurluk.org/',
'Afturgurluk',
'',
1,
1);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://experts.securite.org/',
'eXperts',
'',
1,
1);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://minimum.inria.fr/~raynal/',
'Frederic Raynal',
'',
1,
1);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://perso.wanadoo.fr/gilbert.fernandes/',
'Gilbert Fernandes',
'',
1,
1);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://people.freebsd.org/~mux/',
'Maxime Henrion',
'',
1,
1);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.groar.org/',
'Denis Ducamp',
'',
1,
1);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://gcu-squad.info/',
'GCU-Squad',
'',
1,
1);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://adm.freelsd.net/adm',
'ADM',
'',
1,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://teso.scene.at',
'TESO',
'',
1,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.thehackerchoice.com',
'The Hacker\'s Choice',
'',
1,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.w00w00.org',
'w00w00',
'',
1,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.hert.org',
'HERT',
'',
1,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.synnergy.net',
'Synnergy',
'',
1,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://mixter.void.ru',
'Mixter',
'',
1,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.wiretrip.net/rfp/',
'Rain Forest Puppy.labs',
'',
1,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.phrack.org',
'Phrack',
'',
1,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.lsd-pl.net/',
'Last Stage of Delirium',
'',
1,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://razor.bindview.com',
'Razor',
'',
1,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.s0ftpj.org/',
'S0ftpr0ject',
'',
1,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.packetfactory.net',
'Packet Factory',
'',
1,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.technotronic.com/horizon/',
'Horizon',
'',
1,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.monkey.org/~dugsong/',
'Dug Song',
'',
1,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.nmrc.org/',
'Nomad Mobile Reseach Center',
'',
1,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://lcamtuf.coredump.cx/',
'Michal Zalewski',
'',
1,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.openwall.com',
'Solar Designer',
'',
1,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.gravitino.net/~aempirei/',
'Ambient Empire',
'',
1,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.phenoelit.de/',
'Phenoelit',
'',
1,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.cs.berkeley.edu/~daw/papers/',
'David Wagner',
'',
1,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.cs.uni-potsdam.de/homepages/students/linuxer/',
'Sebastian Krahmer',
'',
1,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://phk.freebsd.dk/',
'Poul-Henning Kamp',
'',
1,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.watson.org/~robert/',
'Robert Watson',
'',
1,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://people.freebsd.org/~arr/',
'Andrew R. Reiter',
'',
1,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://people.freebsd.org/~des/',
'Dag-Erling Smorgrav',
'',
1,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://apollo.backplane.com/',
'Matthew Dillon',
'',
1,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://people.freebsd.org/~julian/',
'Julian Elischer',
'',
1,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://people.freebsd.org/~cjc/',
'Crist J. Clark',
'',
1,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://people.freebsd.org/~tmm/',
'Thomas M. Moestl',
'',
1,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://people.freebsd.org/~jlemon/',
'Jonathan Lemon',
'',
1,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.icir.org/vern/',
'Vern Paxson',
'',
1,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.icir.org/floyd/',
'Sally Floyd',
'',
1,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://zeus.theos.com/deraadt/',
'Theo de Raadt',
'',
1,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.citi.umich.edu/u/provos/',
'Niels Provos',
'',
1,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.kalug.lug.net/fygrave/',
'Fyodor Yarochkin',
'',
1,
0);

INSERT INTO urls (url, nom_url, auteur, url_section, lang) values (
'http://www.kernelnewbies.org',
'kernelnewbies',
'',
1,
0);
